<!--- Add new part of title or edit existing one	--->
<!--- M. Geoffroy			    --->
<!--- Created: 4/2005				    --->

<cfinclude template="../../template_up.cfm">
	
  	<script language="JavaScript">
		
		<!--- Call this page once more if user selects a biblio entry --->
		function ChangeBiblioAction(RefId, Ref, TempRefCat, TempInRefCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Extensions/EditorialBoard/AddOrEditBibPartOfTitle.cfm?RefId=' + RefId + '&Ref=' + Ref + '&TempRefCat=' + TempRefCat + '&TempInRefCat=' + TempInRefCat;
			document.EM.submit();
		}	
		function ChangeCategoryAction(RefId, Ref, TempRefCat, CategoryLst) {
			TempInRefCat = CategoryLst.options[CategoryLst.selectedIndex].value;
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Extensions/EditorialBoard/AddOrEditBibPartOfTitle.cfm?RefId=' + RefId + '&Ref=' + Ref + '&TempRefCat=' + TempRefCat + '&TempInRefCat=' + TempInRefCat;
			document.EM.submit();
		}
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>



<!--- Database interface --->
<cfif #URL.RefId# neq 0>
	<cfstoredproc procedure="s_board_OneReference" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer"  value=#URL.RefId#>
		<cfprocresult name=OneReference>
	</cfstoredproc>
</cfif>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<cfif (isnumeric(form.PartCitBPTitle) or (#url.TempInRefCat# eq 1 and (isnumeric(form.PartCitBPAuthor) or isnumeric(form.PartCitBPYear))and 
		len(form.PartCitBPTitle) eq 0 and isnumeric(form.PartCitInTitle)) or (#URL.RefId# neq 0)) and len(form.PartAuthors) gt 0>
			<cfstoredproc procedure="s_board_AddAuthorTeamCache" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#form.PartNomAuthorAbbrev#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.UserName#>
				<cfprocresult name=AuthorTeam>
			</cfstoredproc>
			<cfstoredproc procedure="s_board_AddInBib" datasource=#session.DSName#>		
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefId" value=#URL.RefId#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefCategoryFk" value=#url.TempRefCat#>
				<cfif #URL.RefId# eq 0> 
					<cfif (isnumeric(form.PartCitBPTitle))>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@InRefFk" value=#form.PartCitBPTitle#>
					<cfelseif (#url.TempInRefCat# eq 1) and(isnumeric(form.PartCitBPAuthor) or isnumeric(form.PartCitBPYear))and (len(form.PartCitBPTitle) eq 0)>
						<cfif (isnumeric(form.PartCitInTitle))>
							<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@InRefFk" value=#form.PartCitInTitle#>
						</cfif>
					<cfelse>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@InRefFk" null="yes">
					</cfif>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@InRefFk" value=#OneReference.InRefFk#>
				</cfif>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Title" value=#form.PartTitle#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Edition" null="yes">
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Series" null="yes">		
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefAuthorString" value=#form.PartAuthors#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefYear" value=#form.PartRefYear#>			
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Volume" null="yes">
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@PageString" value=#form.PartPageString#>	
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@URL" null="yes">	
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@ExportDate" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@ThesisFlag" value=0>  
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefDepositedAt" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@IsPaper" value=0>  
				<cfif Len(form.PartNomAuthorAbbrev) is not 0>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NomAuthorAbbrev" value=#AuthorTeam.AuthorTeamFk#>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NomAuthorAbbrev" null="yes">
				</cfif>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Notes" value=#form.PartNotes#>	
				<cfprocparam type="IN" cfsqltype=cf_sql_varchar dbvarname="@IdInSource" value=#form.PartIdInSource#>		
				<cfprocparam type="IN" cfsqltype=cf_sql_varchar dbvarname="@UserName" value=#session.UserName#>	
			</cfstoredproc>
			<!--- ... and jump back to the calling template --->
			<cflocation addtoken="no" url="#session.BackFromNewBibPartOfTitle#">
		<cfelse>
			<!--- Open message window --->
			<script language=javascript>
				window.open('<cfoutput>#application.EditorHome#</cfoutput>messages/NewRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
			</script>
			<!--- Save form field data into session variables ... --->
			<cfif isdefined("form.PartCitBPTitle")>
				<cfset session.PartCitBPTitle = form.PartCitBPTitle>
			</cfif>
			<cfif isdefined("form.PartCitInTitle")>
				<cfset session.PartCitInTitle = form.PartCitInTitle>
			</cfif>
			<cfif isdefined("form.PartCitBPAuthor")>
				<cfset session.PartCitBPAuthor = form.PartCitBPAuthor>
			</cfif>
			<cfif isdefined("form.PartCitBPYear")>
				<cfset session.PartCitBPYear = form.PartCitBPYear>
			</cfif>
			<cfif isdefined("form.PartTitle")>
				<cfset session.PartTitle = form.PartTitle>
			</cfif>
			<cfif isdefined("form.PartAuthors")>
				<cfset session.PartAuthors = form.PartAuthors>
			</cfif>
			<cfif isdefined("form.PartNomAuthorAbbrev")>
				<cfset session.PartNomAuthorAbbrev = form.PartNomAuthorAbbrev>
			</cfif>
			<cfif isdefined("form.PartRefYear")>
				<cfset session.PartRefYear = form.PartRefYear>
			</cfif>
			<cfif isdefined("form.PartPageString")>
				<cfset session.PartPageString = form.PartPageString>
			</cfif>
			<cfset session.PartNotes = form.PartNotes>
			<cfif isdefined("form.PartIdInSource")>
				<cfset session.PartIdInSource = form.PartIdInSource>
			</cfif>
		</cfif>
	<!--- ... and do something useful depending on the button which was pressed --->
	<!--- New Bib record was pressed or bib was searched for --->
	<cfelseif ((session.CallingPage eq "AddOrEditBibPartOfTitle") and (form.TheButton neq "Delete") and (form.TheButton neq "Cancel"))>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.PartCitBPTitle")>
			<cfset session.PartCitBPTitle = form.PartCitBPTitle>
		</cfif>
		<cfif isdefined("form.PartCitInTitle")>
			<cfset session.PartCitInTitle = form.PartCitInTitle>
		</cfif>
		<cfif isdefined("form.PartCitBPAuthor")>
			<cfset session.PartCitBPAuthor = form.PartCitBPAuthor>
		</cfif>
		<cfif isdefined("form.PartCitBPYear")>
			<cfset session.PartCitBPYear = form.PartCitBPYear>
		</cfif>
		<cfif isdefined("form.PartTitle")>
			<cfset session.PartTitle = form.PartTitle>
		</cfif>
		<cfif isdefined("form.PartAuthors")>
			<cfset session.PartAuthors = form.PartAuthors>
		</cfif>
		<cfif isdefined("form.PartNomAuthorAbbrev")>
			<cfset session.PartNomAuthorAbbrev = form.PartNomAuthorAbbrev>
		</cfif>
		<cfif isdefined("form.PartRefYear")>
			<cfset session.PartRefYear = form.PartRefYear>
		</cfif>
		<cfif isdefined("form.PartPageString")>
			<cfset session.PartPageString = form.PartPageString>
		</cfif>
		<cfset session.PartNotes = form.PartNotes>
		<cfif isdefined("form.PartIdInSource")>
			<cfset session.PartIdInSource = form.PartIdInSource>
		</cfif>
		<cfif form.TheButton eq "NewBook">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditBook.cfm?RefId=0&Ref=#URL.Ref#&TempRefCat=3&Head=1" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewArticleOfJournal">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditBibArticleOfJournal.cfm?RefId=0&Ref=#URL.Ref#&TempRefCat=1" addtoken="no">
		</cfif>
	<!--- "Delete" was pressed --->
	<cfelseif form.TheButton eq "Delete">
		<cftry>
			<cfstoredproc procedure="s_board_DeleteReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.RefId#>
			</cfstoredproc>
			<cflocation addtoken="no" url="#session.BackFromNewBibPartOfTitle#">
			<cfcatch type = "database">
				<script language=javascript>
					<cfoutput>
						window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=5137','mywindow','width=400,height=150,scrollbars=yes')
					</cfoutput>
				</script>
			</cfcatch>
		</cftry>
	<!--- "Cancel" was pressed --->
	<cfelseif form.TheButton eq "Cancel">
		<cflocation addtoken="no" url="#session.BackFromNewBibPartOfTitle#">
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.PartCitBPTitle" default="">
<cfparam name="session.PartCitInTitle" default="">
<cfparam name="session.PartCitBPAuthor" default="">
<cfparam name="session.PartCitBPYear" default="">
<cfparam name="session.PartTitle" default="">
<cfparam name="session.PartAuthors" default="">
<cfparam name="session.PartNomAuthorAbbrev" default="">
<cfparam name="session.PartRefYear" default="">
<cfparam name="session.PartPageString" default="">
<cfparam name="session.PartPartNotes" default="">
<cfparam name="session.PartIdInSource" default="">
<cfparam name="session.BackFromNewBibPartOfTitle" default="">

<!--- Was this template called with get method? --->
<cfif (cgi.request_method is "get")>
	<!--- Set session variables --->
	<cfif #URL.RefId# eq 0>
		<cfset session.PartCitBPTitle = "">
		<cfset session.CitInTitle = "">
		<cfset session.PartCitBPYear = "">
		<cfset session.PartCitBPAuthor = "">
		<cfset session.PartTitle = "">
		<cfset session.PartAuthors = "">
		<cfset session.PartNomAuthorAbbrev = "">
		<cfset session.PartRefYear = "">
		<cfset session.PartPageString = "">
		<cfset session.PartNotes = "">
		<cfset session.PartIdInSource = "">
	<cfelse>
		<cfset session.PartCitBPTitle = OneReference.InTitle>
		<cfset session.CitInTitle = OneReference.InBibTitle>
		<cfset session.PartCitBPYear = OneReference.InRefYear>
		<cfset session.PartCitBPAuthor = OneReference.InAuthorString>
		<cfset session.PartTitle = OneReference.Title>
		<cfset session.PartAuthors = OneReference.RefAuthorString>
		<cfset session.PartNomAuthorAbbrev = OneReference.AuthorTeamCache>
		<cfset session.PartRefYear = OneReference.RefYear>
		<cfset session.PartPageString = OneReference.PageString>
		<cfset session.PartNotes = OneReference.Notes>
		<cfset session.PartIdInSource = OneReference.IdInSource>
	</cfif>
	<cfset session.BackFromNewBibPartOfTitle = cgi.http_referer>
</cfif>
<!--- Database interface --->

<cfstoredproc procedure="s_web_GetInRefCategorys" datasource=#session.DSName#>
	<cfprocresult name=Categorys>
</cfstoredproc>
<!--- Retrieve information to populate bib pulldown menu --->
<cfif (#session.PartCitBPAuthor# eq "")>
	<cfstoredproc procedure="s_web_DiscoverAuthorTeam" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
		<cfprocresult name="AuthorTeamsValues">
	</cfstoredproc>
<cfelse>
	<cfif isnumeric(session.PartCitBPAuthor)>
		<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPAuthor#>
			<cfprocresult name="BibAuthor">
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchRefAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitBPAuthor#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
			<cfprocresult name="RefAuthor">
		</cfstoredproc>
	</cfif>
</cfif>		
<cfif (#session.PartCitBPYear# eq "")>
	<cfif isnumeric(session.PartCitBPAuthor)>
		<cfstoredproc procedure="s_web_DiscoverYear" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPAuthor#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
			<cfprocresult name="YearsValues">
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_DiscoverAllYear" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
			<cfprocresult name="AllYearsValues">
		</cfstoredproc>
	</cfif>
<cfelse>
	<cfif isnumeric(session.PartCitBPYear)>
		<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPYear#>
			<cfprocresult name="BibYear">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.PartCitBPAuthor)>
		<cfstoredproc procedure="s_web_SearchRefYear" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitBPYear#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPAuthor#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
			<cfprocresult name="Year">
		</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_SearchAllRefYear" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitBPYear#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
			<cfprocresult name="Year">
			</cfstoredproc>
		</cfif>	
	</cfif>
</cfif>
<cfif (#session.PartCitBPTitle# eq "")>
	<cfif isnumeric(session.PartCitBPYear)>
		<cfif isnumeric(session.PartCitBPAuthor)>
			<cfstoredproc procedure="s_web_DiscoverRefTitle" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPYear#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
				<cfprocresult name="TitleValues">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_DiscoverAllYearRefTitle" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPYear#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
				<cfprocresult name="TitleValues">
			</cfstoredproc>
		</cfif>	
	<cfelse>
		<cfif isnumeric(session.PartCitBPAuthor)>
			<cfstoredproc procedure="s_web_DiscoverAllAuthorRefTitle" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPAuthor#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
				<cfprocresult name="TitleValues">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_DiscoverAllRefTitle" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
				<cfprocresult name="TitleValues">
			</cfstoredproc>
		</cfif>
	</cfif>
<cfelse>
	<cfif isnumeric(session.PartCitBPTitle)>
		<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPTitle#>
			<cfprocresult name="Bib">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.PartCitBPYear)>
				<cfif isnumeric(session.PartCitBPAuthor)>
					<cfstoredproc procedure="s_web_SearchRefTitle" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPYear#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
						<cfprocresult name="Bib">
					</cfstoredproc>
				<cfelse>
					<cfstoredproc procedure="s_web_SearchAllYearRefTitle" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPYear#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
						<cfprocresult name="Bib">
					</cfstoredproc>
				</cfif>
			<cfelse>
				<cfif isnumeric(session.PartCitBPAuthor)>
					<cfstoredproc procedure="s_web_SearchAllAuthorRefTitle" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPAuthor#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
						<cfprocresult name="Bib">
					</cfstoredproc>
				<cfelse>
					<cfstoredproc procedure="s_web_SearchAllRefTitle" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
						<cfprocresult name="Bib">
					</cfstoredproc>
				</cfif>
			</cfif>
	</cfif>
</cfif>		
<cfif #url.TempInRefCat# eq 1 and len(session.PartCitBPTitle) eq 0>
	<cfif (#session.PartCitInTitle# eq "")>
		<cfif isnumeric(session.PartCitBPYear)>
			<cfif isnumeric(session.PartCitBPAuthor)>
				<cfstoredproc procedure="s_web_DiscoverAuthorYearInRefCache" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPYear#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
					<cfprocresult name="InBibValues">
				</cfstoredproc>
			<cfelse>
				<cfstoredproc procedure="s_web_DiscoverAllYearInRefCache" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPYear#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
					<cfprocresult name="InBibValues">
				</cfstoredproc>
			</cfif>
		<cfelse>
			<cfif isnumeric(session.PartCitBPAuthor)>
				<cfstoredproc procedure="s_web_DiscoverAuthorInRefCache" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPAuthor#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
					<cfprocresult name="InBibValues">
				</cfstoredproc>
			</cfif>
		</cfif>
	<cfelse>
		<cfif isnumeric(session.PartCitInTitle)>
			<cfstoredproc procedure="s_web_OneInReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitInTitle#>
				<cfprocresult name="InBib">
			</cfstoredproc>
		<cfelse>
			<cfif isnumeric(session.PartCitBPYear)>
				<cfif isnumeric(session.PartCitBPAuthor)>
					<cfstoredproc procedure="s_web_SearchAuthorYearInRefCache" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitInTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPYear#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
						<cfprocresult name="InBib">
					</cfstoredproc>
				<cfelse>
					<cfstoredproc procedure="s_web_SearchAllYearInRefCache" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPYear#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
						<cfprocresult name="InBib">
					</cfstoredproc>
				</cfif>
			<cfelse>
				<cfif isnumeric(session.PartCitBPAuthor)>
					<cfstoredproc procedure="s_web_SearchAuthorInRefCache" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitInTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPAuthor#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
						<cfprocresult name="InBib">
					</cfstoredproc>
				</cfif>
			</cfif>
		</cfif>
	</cfif>
</cfif>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<td colspan="2"> 
			<h2>		
				<b>Edit or create new <i>part of other title</i></b>	
			</h2>
		</td>
	</tr>
	<tr bgcolor ="#eeeeae">
		<td colspan="2">
			<cfif (#url.TempInRefCat# eq 1) >
				<font color="Black">Entry marked with</font> <font color="Red">*</font> is required; &nbsp;&nbsp;&nbsp;&nbsp;
				<font color="Black">One of the entry marked with</font> <font color="Red">**</font> is required
			</cfif>
			<cfif (#url.TempInRefCat# eq 3) >
				<font color="Black">Entries marked with</font> <font color="Red">*</font> are required
			</cfif>
		</td>
	</tr>
	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<!--- RefAuthorString--->
		<tr bgcolor="#eeeeee">
			<td width><b>Full authors <font color="Red">*</font></b></td>
			<td width>
				<input type="text" name="PartAuthors" size="70" value="<cfoutput>#session.PartAuthors#</cfoutput>">
			</td>
		</tr>
		<!--- NomAuthorTeam--->
		<tr bgcolor="#eeeeee">
			<td width><b>Abbrev. authors</b></td>
			<td width>
				<input name="PartNomAuthorAbbrev" size="50" value="<cfoutput>#session.PartNomAuthorAbbrev#</cfoutput>">
			</td>
		</tr>
		<!---Part Title --->
		<tr bgcolor="#eeeeee">
			<td width=140><b>Full title</b></td>
			<td width=460>
				<input type="text" name="PartTitle" size="70" value="<cfoutput>#session.PartTitle#</cfoutput>">
			</td>
		</tr>
		<!--- Year of publication --->
		<tr bgcolor="#eeeeee">
			<td width><b>Reference year</b></td>
			<td width>
				<input type="text" name="PartRefYear" size="20" value="<cfoutput>#session.PartRefYear#</cfoutput>">
			</td>
		</tr>
		
		<!--- PageString--->
		<tr bgcolor="#eeeeee">
			<td width><b>Page string</b></td>
			<td width>
				<input type="text" name="PartPageString" size="20" value="<cfoutput>#session.PartPageString#</cfoutput>">
			</td>
		</tr>
		<!--- Select Ref Category  --->
		<tr bgcolor="#eeeeee">
			<cfif #URL.RefId# eq 0>
				<td width=140><b>Select category</b></td>
			<cfelse>
				<td width=140><b>Category</b></td>
			</cfif>
			<td width=460>
			Part of&nbsp;&nbsp;&nbsp;
			<cfif #URL.RefId# eq 0>
				<cfoutput>
					<select name="RefCat" onChange="ChangeCategoryAction(#URL.RefId#, #URL.Ref#, #url.TempRefCat#,this)">
						<cfloop query="Categorys">
							<option value=#Categorys.RefCategoryId# <cfif Categorys.RefCategoryId eq #url.TempInRefCat#>selected</cfif>>#Categorys.RefCategory#
						</cfloop>	
					</select>
				</cfoutput>
			<cfelse>
				<cfoutput>
					<cfloop query="Categorys">
						<cfif Categorys.RefCategoryId eq #url.TempInRefCat#>
							#Categorys.RefCategory#
						</cfif>
					</cfloop>	
					<input type="hidden" name="RefCat" value=#url.TempInRefCat#>
				</cfoutput>
			</cfif>
			</td>
		</tr>
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempInRefCat# eq 1) >
				<td width=140><b>Article(authors)</b></td>
			</cfif>
			<cfif (#url.TempInRefCat# eq 3) >
				<td width=140><b>Book(authors)</b></td>
			</cfif>
			<td width = 460>
			<cfif #URL.RefId# eq 0>
				<cfoutput>
					<select name="PartCitBPAuthor" onChange="ChangeBiblioAction(#URL.RefId#, #URL.Ref#, #url.TempRefCat#, #url.TempInRefCat#)">
					<cfif session.PartCitBPAuthor neq "">
						<cfif isnumeric(session.PartCitBPAuthor)>
							<cfif Len(#BibAuthor.RefAuthorString#)lt 65>
								<option value=#BibAuthor.RefId#>#BibAuthor.RefAuthorString#
							<cfelse>
									<option value=#BibAuthor.RefId#>#BibAuthor.AuthorFirst65#...
							</cfif>
							<option value="">------------------------------------------ no selection ------------------------------------------
						<cfelse>
							<option value="#session.PartCitBPAuthor#">--------------------------------------- preselection: #session.PartCitBPAuthor# --------------------------------------
							<option value="">------------------------------------------ no selection ------------------------------------
							<cfloop query="RefAuthor">
								<cfif Len(#RefAuthor.RefAuthorString#)lt 65>
									<option value=#RefAuthor.RefId#>#RefAuthor.RefAuthorString#
								<cfelse>
									<option value=#RefAuthor.RefId#>#RefAuthor.First65#...
								</cfif>
							</cfloop>
						</cfif>
					<cfelse>
						<option value="">------------------------------------------ no selection ------------------------------------------
						<cfloop query="AuthorTeamsValues">
							<cfif len(#AuthorTeamsValues.FirstTwo#) gt 0>
									<option value="#AuthorTeamsValues.FirstTwo#">#AuthorTeamsValues.FirstTwo#&nbsp;...
							</cfif>
						</cfloop>	
					</cfif>
					</select>
				</cfoutput>
			<cfelse>
				<cfoutput>
					#session.PartCitBPAuthor#
					<input type="hidden" name="PartCitBPAuthor" value=0>
				</cfoutput>
			</cfif>
			</td>
		</tr>	
			
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempInRefCat# eq 1) >
				<td width=140><b>Article(year)</b></td>
			</cfif>
			<cfif (#url.TempInRefCat# eq 3) >
				<td width=140><b>Book(year)</b></td>
			</cfif>
			<td width = 460>
			<cfif #URL.RefId# eq 0>
				<cfoutput>
					<select name="PartCitBPYear" onChange="ChangeBiblioAction(#URL.RefId#, #URL.Ref#, #url.TempRefCat#, #url.TempInRefCat#)">
					<cfif session.PartCitBPYear neq "">
						<cfif isnumeric(session.PartCitBPYear)>
							<option value=#BibYear.RefId#>#BibYear.RefYear#
							<option value="">------------------------------------------ no selection ------------------------------------------
						<cfelse>	
							<option value="">------------------------------------------ no selection ------------------------------------------
							<option value=#Year.RefId#>#Year.RefYear#
						</cfif>
					<cfelse>
						<option value="">------------------------------------------ no selection ------------------------------------------
						<cfif isnumeric(session.PartCitBPAuthor)>
							<cfloop query="YearsValues">
								<option value="#YearsValues.RefId#">#YearsValues.RefYear#
							</cfloop>
						<cfelse>
							<cfloop query="AllYearsValues">
								<option value="_#AllYearsValues.RefYear#">#AllYearsValues.RefYear#
							</cfloop>	
						</cfif>
					</cfif>
					</select>
				</cfoutput>
			<cfelse>
				<cfoutput>
					#session.PartCitBPYear#
					<input type="hidden" name="PartCitBPYear" value=0>
				</cfoutput>
			</cfif>
			</td>
		</tr>	
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempInRefCat# eq 1) >
				<td width=140><b>Article(title) <font color="Red">**</font></b></td>
			</cfif>
			<cfif (#url.TempInRefCat# eq 3) >
				<td width=140><b>Book(title) <font color="Red">*</font></b></td>
			</cfif> 
			<td width = 460>
			<cfif #URL.RefId# eq 0>
				<cfoutput>
					<select name="PartCitBPTitle" onChange="ChangeBiblioAction(#URL.RefId#, #URL.Ref#, #url.TempRefCat#, #url.TempInRefCat#)">
					<cfif session.PartCitBPTitle neq "">
						<cfif isnumeric(session.PartCitBPTitle)>		
							<cfif Len(#Bib.Title#)lt 40>	
								<option value=#Bib.RefId#>#Bib.Title##Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#	
							<cfelse>
								<option value=#Bib.RefId#>#Bib.First40#...#Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#
							</cfif>
								<option value="">------------------------------------------ no selection ------------------------------------------
						<cfelse>
							<option value="#session.PartCitBPTitle#">--------------------------------------- preselection: #session.PartCitBPTitle# --------------------------------------
							<option value="">------------------------------------------ no selection ------------------------------------------
							<cfif isnumeric(session.PartCitBPYear)>
								<cfloop query="Bib">	
									<cfif Len(#Bib.Title#)lt 40>			
										<option value=#Bib.RefId#>#Bib.First40##Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#	
									<cfelse>
										<option value=#Bib.RefId#>#Bib.First40#...#Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#	
									</cfif>
								</cfloop>
							<cfelse>
								<cfloop query="Bib">	
									<cfif Len(#Bib.Title#)lt 40>				
										<option value=#Bib.RefId#>#Bib.First40##Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#&nbsp;#Bib.ThisYear#	
									<cfelse>
										<option value=#Bib.RefId#>#Bib.First40#...#Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#&nbsp;#Bib.ThisYear#	
									</cfif>
								</cfloop>
							</cfif>	
						</cfif>
					<cfelse>
						<option value="">------------------------------------------ no selection ------------------------------------------
						<cfif isnumeric(session.PartCitBPYear) and isnumeric(session.PartCitBPAuthor)>
							<cfloop query="TitleValues">
							<cfif Len(#TitleValues.Title#)lt 40>
								<option value="#TitleValues.RefId#">#TitleValues.Title##TitleValues.ThisEdition##TitleValues.ThisSeries##TitleValues.ThisVolume#	
							<cfelse>
								<option value="#TitleValues.RefId#">#TitleValues.First40#...#TitleValues.ThisEdition##TitleValues.ThisSeries##TitleValues.ThisVolume#	
							</cfif>
							</cfloop>	
						<cfelse>
							<cfloop query="TitleValues">
								<cfif len(#TitleValues.FirstTwo#) gt 0>
									<option value="#TitleValues.FirstTwo#">#TitleValues.FirstTwo#&nbsp;...
								</cfif>
							</cfloop>	
						</cfif>
					</cfif>
					</select>
				</cfoutput>
			<cfelse>
				<cfoutput>
					#session.PartCitBPTitle#
					<input type="hidden" name="PartCitBPTitle" value=0>
				</cfoutput>
			</cfif>
			</td>
		</tr>
		<cfif #URL.RefId# eq 0>
			<cfif  (#url.TempInRefCat# eq 1) and (len(session.PartCitBPTitle) eq 0)and (isnumeric(session.PartCitBPAuthor) or isnumeric(session.PartCitBPYear))> 
			<tr bgcolor="#eeeeee">
				<td width=140><b>In:(Periodical) <font color="Red">**</font></b></td>
				<td width = 450>
					<cfoutput>
					<select name="PartCitInTitle" onChange="ChangeBiblioAction(#URL.RefId#, #URL.Ref#, #url.TempRefCat#, #url.TempInRefCat#)">
					<cfif session.PartCitInTitle neq "">
						<cfif isnumeric(session.PartCitInTitle)>
							<cfif Len(#InBib.RefCache#)lt 60>
								<option value=#InBib.RefId#>#InBib.RefCache#
							<cfelse>
								<option value=#InBib.RefId#>#InBib.First60#...
							</cfif>
							<option value="">------------------------------------------ no selection ------------------------------------------
						<cfelse>
							<option value="#session.PartCitInTitle#">--------------------------------------- preselection: #session.PartCitInTitle# --------------------------------------
							<option value="">------------------------------------------ no selection ------------------------------------------
								<cfloop query="InBib">
								<cfif Len(#InBib.RefCache#)lt 60>
									<option value=#InBib.RefId#>#InBib.RefCache#
								<cfelse>
									<option value=#InBib.RefId#>#InBib.First60#...
								</cfif>
								</cfloop>	
						</cfif>
					<cfelse>
						<option value="">------------------------------------------ no selection ------------------------------------------
						<cfloop query="InBibValues">
							<cfif len(#InBibValues.FirstTwo#) gt 0>
								<option value=#InBibValues.FirstTwo#>#InBibValues.FirstTwo#&nbsp;...
							</cfif>
						</cfloop>		
					</cfif>
					</select>
					</cfoutput>
				</td>
			</tr>
			</cfif>
		<cfelse>
			<tr bgcolor="#eeeeee">
				<td width=140><b>In:(Periodical) </b></td>
				<td width = 450>
					<cfoutput>
						#OneReference.InBibTitle#
						<input type="hidden" name="PartCitInTitle" value=0>
					</cfoutput>
				</td>
			</tr>
		</cfif>
		<cfif #URL.RefId# eq 0>
			<cfif (isnumeric(session.PartCitBPTitle))>  
				<tr bgcolor="#eeeeee">
					<td colspan=2><b>Full in reference</b>
						<br>
						<textarea cols="70" rows="3" name="fulltitle" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#Bib.RefCache#</cfoutput></textarea>
					</td>
				</tr>	
			<cfelseif (#url.TempInRefCat# eq 1) and (isnumeric(session.PartCitBPAuthor) or isnumeric(session.PartCitBPYear))and (isnumeric(session.PartCitInTitle))>
				<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitInTitle#>
					<cfprocresult name="Bib">
				</cfstoredproc>
				<tr bgcolor="#eeeeee">
					<td colspan=2><b>Full in reference</b>
					<br>
					<textarea cols="70" rows="3" name="fulltitle" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#Bib.RefCache#</cfoutput></textarea>
					</td>
				</tr>	
			<cfelseif (isnumeric(session.PartCitBPAuthor)) and (Len(#BibAuthor.RefAuthorString#)gte 65)>  
				<tr bgcolor="#eeeeee">
					<td colspan=2><b>Full authors</b>
					<br>
					<textarea cols="70" rows="3" name="fullauthor" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#BibAuthor.RefAuthorString#</cfoutput></textarea>
					</td>
				</tr>	
			</cfif>
		<cfelse>
			<tr bgcolor="#eeeeee">
				<td colspan=2><b>Full in reference</b>
				<br>
					<cfoutput>
						#OneReference.InRefCache#
					</cfoutput>
				</td>
			</tr>
		</cfif>
		<cfif #URL.RefId# eq 0>
		<!--- New book, New Article of Journal--->
			<tr bgcolor="#eeeeee">
				<td><a href="javascript: ButtonAction('NewBook')" class="addlink">New book</a></td>
				<td><a href="javascript: ButtonAction('NewArticleOfJournal')" class="addlink">New article in periodical</a></td>
			</tr>	
		</cfif>
			
		<!--- Source number --->
		<tr bgcolor="#eeeeee">
			<td><b>Source number</b></td>
			<td>
				<input type="text" name="PartIdInSource" size="20" value="<cfoutput>#session.PartIdInSource#</cfoutput>">
			</td>
		</tr>
			
		<!--- PartNotes --->
		<tr bgcolor="#eeeeee">
			<td>
				<b>Reference notes</b>
			</td><td>	
				<textarea cols="50" rows="3" name="PartNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.PartNotes#</cfoutput></textarea>
			</td>
		</tr>
		<!--- Apply, Delete and Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="3">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<cfif #URL.RefId# neq 0>
					<input type="button" name="Delete" value="Delete" onClick="ButtonAction('Delete')"> 					
				</cfif>
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">
