<!--- Add or Edit name				--->
<!--- Anton Gntsch, J. Li 	--->
<!--- Created: 12/2001		--->
<!--- Last update: 7/2005 by M.Geoffroy	--->

<!---
This template is very similiar to very much like AddIncludedTaxon except that the already
existing name data are displayed in the form and an updating stored procedure is called.
--->

<cfinclude template="../../template_up.cfm">
	
  	<script language="JavaScript">
	
		<!--- Call this page once more if user select rank --->
		function openNomRefCheckWindow() {
			window.open('<cfoutput>#application.EditorHome#</cfoutput>Messages/AddNomRefMessage.cfm', 'mywindow', 'width=550, height=180, scrollbars=yes')
		}
		
    	function ChangeRankAction(Name, Ref, TRankLst, Level) {
			TempRank = TRankLst.options[TRankLst.selectedIndex].value;
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Extensions/EditorialBoard/AddOrEditName.cfm?name=' + Name + '&ref=' + Ref + '&TempRank=' + TempRank + '&Level=' + Level;
			document.EM.submit();
		}
		
		<!--- Call this page once more if user user selects author teams --->
		function ChangeAuthorAction(Name, Ref, TempRank, Level) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Extensions/EditorialBoard/AddOrEditName.cfm?name=' + Name + '&ref=' + Ref + '&TempRank=' + TempRank + '&Level=' + Level;
			document.EM.submit();
		}
		
		<!--- Set hidden hybrid fields --->
		function SetHiddenMonomHyb() {
			if (document.EM.MonomHyb.checked) {
				document.EM.HiddenMonomHyb.value = 'on';
			} else {
				document.EM.HiddenMonomHyb.value = 'off';
			}
		}

		function SetHiddenBinomHyb() {
			if (document.EM.BinomHyb.checked) {
				document.EM.HiddenBinomHyb.value = 'on';
			} else {
				document.EM.HiddenBinomHyb.value = 'off';
			}
		}
		
		function SetHiddenTrinomHyb() {
			if (document.EM.TrinomHyb.checked) {
				document.EM.HiddenTrinomHyb.value = 'on';
			} else {
				document.EM.HiddenTrinomHyb.value = 'off';
			}
		}
	
		<!--- Set hidden preliminary flag field --->
		function SetHiddenNoPreliminary() {
			if (document.EM.PreliminaryFlag.checked) {
				document.EM.HiddenNoPreliminary.value = 'on';
			} else {
				document.EM.HiddenNoPreliminary.value = 'off';
			}
		}
	
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfstoredproc procedure="s_board_AddName" datasource="#session.DSName#">
			<!--- Submit name, reference, and rank --->
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NameId" value="#url.name#">
			<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RefId" value=#url.ref#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RankFk" value=#url.TempRank#>
			<!--- Submit PreliminaryFlag --->
			<cfif isdefined("form.PreliminaryFlag") or #session.IsPreliminary# eq "no">
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@PreliminaryFlag" value=0>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@PreliminaryFlag" value=1>  
			</cfif>
			<cfif  #url.TempRank# gte 40 and Len(form.UnnamedNamePhrase) is not 0>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@UnnamedNamePhrase" value="#form.UnnamedNamePhrase#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@UnnamedNamePhrase" null="yes">
			</cfif>
			<!--- Suprageneric rank: Submit suprageneric name --->
			<cfif #url.TempRank# lt 40>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@SupraGenericName" value="#form.SGenName#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@SupraGenericName" null="yes"> 
			</cfif>
			<!--- Genus and below: Submit genus name --->
			<cfif  #url.TempRank# gte 40>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Genus" value="#form.Genus#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Genus" null="yes">
			</cfif>
			<!--- Infrageneric ranks: Submit infrageneric epithet --->
			<cfif ((#URL.TempRank# gt 40) AND (#URL.TempRank# lt 58)) OR (#URL.TempRank# eq 98)>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@GenusSubdivisionEpi" value="#form.GenusSubdivisionEpi#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@GenusSubdivisionEpi" null="yes">
			</cfif>
			<!--- Species, subspecies, and aggregates: Submit species epithet --->
			<cfif (#url.TempRank# gte 58) AND (#URL.TempRank# neq 98)>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@SpeciesEpi" value="#form.SpeciesEpi#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@SpeciesEpi" null="yes">  
			</cfif>
			<!--- Subspecies: Submit infraSpecies epithet --->
			<cfif (#url.TempRank# gt 60) AND (#URL.TempRank# neq 98)>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@InfraSpeciesEpi" value="#form.InfraSpeciesEpi#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@InfraSpeciesEpi" null="yes">
			</cfif>
			<!--- Rank not aggregate: Submit authors & basionym authors --->
			<cfif (#URL.TempRank# neq 58) and (#URL.TempRank# neq 59)>
				<cfif isnumeric(form.Author)>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@AuthorTeamFk" value="#form.Author#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@AuthorTeamFk" null="yes">
				</cfif>
				<cfif isnumeric(form.BasAuthor)>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@BasAuthorTeamFk" value="#form.BasAuthor#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@BasAuthorTeamFk" null="yes">
				</cfif>	
				<cfif isnumeric(form.ExAuthor)>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@ExAuthorTeamFk" value="#form.ExAuthor#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@ExAuthorTeamFk" null="yes">
				</cfif>
				<cfif isnumeric(form.ExBasAuthor)>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@ExBasAuthorTeamFk" value="#form.ExBasAuthor#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@ExBasAuthorTeamFk" null="yes">
				</cfif>	
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@AuthorTeamFk" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@BasAuthorTeamFk" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@ExAuthorTeamFk" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@ExBasAuthorTeamFk" null="yes">
			</cfif>
			<!--- Submit HybFormulaFlag --->
			<cfif isdefined("form.HybFormula") and (#URL.TempRank# gte 40)>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@HybridFormulaFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@HybridFormulaFlag" value=0>  
			</cfif>
			<!--- Submit MonomHybFlag --->
			<cfif isdefined("form.MonomHyb")>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@MonomHybFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@MonomHybFlag" value=0>  
			</cfif>
			<!--- Submit BinomHybFlag --->
			<cfif isdefined("form.BinomHyb")>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@BinomHybFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@BinomHybFlag" value=0>  
			</cfif>
			<!--- Submit TrinomHybFlag --->
			<cfif isdefined("form.TrinomHyb")>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@TrinomHybFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@TrinomHybFlag" value=0>  
			</cfif>
			<!--- Submit cultivar names --->
			<cfif (#url.TempRank# gt 40)>
				<cfif Len(form.CultivarGroupName) is not 0>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarGroupName" value="#form.CultivarGroupName#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarGroupName" null="yes">
				</cfif>
				
				<cfif Len(form.CultivarName) is not 0>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarName" value="#form.CultivarName#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarName" null="yes">
				</cfif>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarGroupName" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarName" null="yes">
			</cfif>
			
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.NameNotes#">
			<cfprocparam type="out" cfsqltype=cf_sql_integer dbvarname="@NewNameId">
			<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#session.UserName#>
		</cfstoredproc>
		<!--- ... and jump to the central form --->
		<cfif #URL.Name# neq -1>
			<cflocation url=#session.BackFromAddOrEditName# addtoken="no">
		<cfelse>
			<cflocation url=#session.BackFromAddOrEditName# addtoken="no">
		</cfif>
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.HiddenNoPreliminary")>
			<cfset session.HiddenNoPreliminary = form.HiddenNoPreliminary>
		</cfif>	
		<cfif isdefined("form.SGenName")>
			<cfset session.SGenName = form.SGenName>
		</cfif>
		<cfif isdefined("form.Genus")>
			<cfset session.Genus = form.Genus>
		</cfif>
		<cfif isdefined("form.HiddenHybFormula")>
			<cfset session.HiddenHybFormula = form.HiddenHybFormula>
		</cfif>	
		<cfif isdefined("form.HiddenMonomHyb")>
			<cfset session.HiddenMonomHyb = form.HiddenMonomHyb>
		</cfif>	
		<cfif isdefined("form.GenusSubdivisionEpi")>
			<cfset session.GenusSubdivisionEpi = form.GenusSubdivisionEpi>
		</cfif>
		<cfif isdefined("form.SpeciesEpi")>
			<cfset session.SpeciesEpi = form.SpeciesEpi>
		</cfif>
		<cfif isdefined("form.HiddenBinomHyb")>
			<cfset session.HiddenBinomHyb = form.HiddenBinomHyb>
		</cfif>
		<cfif isdefined("form.HiddenTrinomHyb")>
			<cfset session.HiddenTrinomHyb = form.HiddenTrinomHyb>
		</cfif>
		<cfif isdefined("form.InfraSpeciesEpi")>
			<cfset session.InfraSpeciesEpi = form.InfraSpeciesEpi>
		</cfif>
		<cfif isdefined("form.UnnamedNamePhrase")>
			<cfset session.UnnamedNamePhrase = form.UnnamedNamePhrase>
		</cfif>
		<cfif isdefined("form.CultivarName")>
			<cfset session.CultivarName = form.CultivarName>
		</cfif>
		<cfif isdefined("form.CultivarGroupName")>
			<cfset session.CultivarGroupName = form.CultivarGroupName>
		</cfif>
		<cfif isdefined("form.Author")>
			<cfset session.Author = form.Author>
		</cfif>
		<cfif isdefined("form.BasAuthor")>
			<cfset session.BasAuthor = form.BasAuthor>
		</cfif>
		<cfif isdefined("form.ExAuthor")>
			<cfset session.ExAuthor = form.ExAuthor>
		</cfif>
		<cfif isdefined("form.ExBasAuthor")>
			<cfset session.ExBasAuthor = form.ExBasAuthor>
		</cfif>
		<cfset session.NameNotes = form.NameNotes>
		
		<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
			<cfprocresult name=OneName>
		</cfstoredproc>
		<cfstoredproc procedure="s_web_Acc2HybParents" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=9>
			<cfprocresult name=HybridParent1>
		</cfstoredproc>
		<cfstoredproc procedure="s_web_Acc2HybParents" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=10>
			<cfprocresult name=HybridParent2>
		</cfstoredproc>
		
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation url="#session.BackFromAddOrEditName#" addtoken="no">
		<!--- "Delete" was pressed --->
		<cfelseif form.TheButton eq "Delete">
			<cftry>
				<cfstoredproc procedure="s_board_DeleteName" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
				</cfstoredproc>
				<cflocation addtoken="no" url="#session.BackFromAddOrEditName#">
				<cfcatch type = "database">
					<script language=javascript>
						<cfoutput>
							window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=5137','mywindow','width=400,height=150,scrollbars=yes')
						</cfoutput>
					</script>
				</cfcatch>
			</cftry>
		<!--- "Apply" for hybrid was pressed --->
		<cfelseif form.TheButton eq "ApplyHyb">
			<cfif (#HybridParent1.RankId# gte #OneName.RankFk#)or(#HybridParent2.RankId# gte #OneName.RankFk#) >
				<cfstoredproc procedure="s_web_UpdateHyb" datasource="#session.DSName#">
					<!--- Submit name, reference, and rank --->
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@StatusFk" value=1>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NameId" value="#url.Name#">
					<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RefId" value=#url.ref#>
					<cfif #HybridParent1.RankId# gte #HybridParent2.RankId#>
						<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RankFk" value=#HybridParent1.RankId#>
					<cfelse>
						<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RankFk" value=#HybridParent2.RankId#>
					</cfif>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="a">  
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@NamePhrase" null="yes">
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.NameNotes#">
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#session.UserName#>
				</cfstoredproc>
				<cflocation addtoken="no" url="#session.BackFromAddOrEditName#">
			<cfelse>
				<cfstoredproc procedure="s_web_DeleteHybRelation" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Relqualifier#>
				</cfstoredproc>
				<cflocation url="#application.EditorHome#Messages/AddHybridFormulaMessage.cfm?Name2=#url.Name#&Name=#url.Name#&Ref=#URL.Ref#&TempRank=#url.TempRank#&TempSynCat=#URL.TempSynCat#" addtoken="no">
			</cfif>
		<!--- New Author Team was pressed --->
		<cfelseif (form.TheButton eq "NewAuthorTeam")>
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?Ref=#URL.Ref#&AuthorTeam=-1" addtoken="no">
		<!--- Syntax check button was pressed --->
		<cfelseif form.TheButton eq "Check">
			<!--- Create a list containing the form field values as specified for the java class BotName.class --->
			<cfset BotNameFieldLst = "Rank=" & #URL.TempRank#>
			<cfif isdefined("form.UnnamedNamePhrase") and (form.UnnamedNamePhrase neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "UnnamedNamePhrase=" & form.UnnamedNamePhrase, "|")>
			</cfif>
			<cfif isdefined("form.SGenName") and (form.SGenName neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "SupraGenericName=" & form.SGenName, "|")>
			</cfif>
			<cfif isdefined("form.Genus") and (form.Genus neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "Genus=" & form.Genus, "|")>
			</cfif>
			<cfif isdefined("form.MonomHyb")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "MonomHybFlag=x", "|")>
			</cfif>
			<cfif isdefined("form.GenusSubdivisionEpi") and (form.GenusSubdivisionEpi neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "GenusSubdivisionEpi=" & form.GenusSubdivisionEpi, "|")>
			</cfif>
			<cfif isdefined("form.SpeciesEpi") and (form.SpeciesEpi neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "SpeciesEpi=" & form.SpeciesEpi, "|")>
			</cfif>
			<cfif isdefined("form.BinomHyb")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "BinomHybFlag=x", "|")>
			</cfif>
			<cfif isdefined("form.InfraSpeciesEpi") and (form.InfraSpeciesEpi neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "InfraSpeciesEpi=" & form.InfraSpeciesEpi, "|")>
			</cfif>
			<cfif isdefined("form.TrinomHyb")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "TrinomHybFlag=x", "|")>
			</cfif>
			<cfif isdefined("form.CultivarName") and (form.CultivarName neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "CultivarName=" & form.CultivarName, "|")>
			</cfif>
			<cfif isdefined("form.CultivarGroupName") and (form.CultivarGroupName neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "CultivarGroupName=" & form.CultivarGroupName, "|")>
			</cfif>
			<cfif isdefined("form.BasAuthor") and (form.BasAuthor neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "BasAuthor=" & form.BasAuthor, "|")>
			</cfif>
			<cfif isdefined("form.ExBasAuthor") and (form.ExBasAuthor neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "ExBasAuthor=" & form.ExBasAuthor, "|")>
			</cfif>
			<cfif isdefined("form.Author") and (form.Author neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "Author=" & form.Author, "|")>
			</cfif>
			<cfif isdefined("form.ExAuthor") and (form.ExAuthor neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "ExAuthor=" & form.ExAuthor, "|")>
			</cfif>
			
			<!--- Create Java object BotName and call the method CheckAll() --->
			<cfobject type = "JAVA" action = "Create" name="MyBotName" class="BotName">
			<cfset MyBotName.init(BotNameFieldLst)>
			<cfset NameRet = MyBotName.CheckAll()>
			<cfif len(NameRet) eq 0> <!--- no syntax errors found --->
				<cfset NameRetURLEnc = '9999'>
			<cfelse>
				<cfset NameRetURLEnc = urlencodedformat(NameRet)>
			</cfif>
			<!--- Open message window --->
			<script language=javascript>
				<cfoutput>
					window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=#NameRetURLEnc#','mywindow','width=400,height=300,scrollbars=yes')
				</cfoutput>
			</script>
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.IsPreliminary" default="no">
<cfparam name="session.HiddenNoPreliminary" default="off">
<cfparam name="session.SGenName" default="">
<cfparam name="session.Genus" default="">
<cfparam name="session.HiddenMonomHyb" default="off">
<cfparam name="session.GenusSubdivisionEpi" default="">
<cfparam name="session.SpeciesEpi" default="">
<cfparam name="session.HiddenBinomHyb" default="off">
<cfparam name="session.InfraSpeciesEpi" default="">
<cfparam name="session.UnnamedNamePhrase" default="">
<cfparam name="session.CultivarName" default="">
<cfparam name="session.CultivarGroupName" default="">
<cfparam name="session.HiddenTrinomHyb" default="off">
<cfparam name="session.BasAuthor" default = "">
<cfparam name="session.ExBasAuthor" default = "">
<cfparam name="session.Author" default = "">
<cfparam name="session.ExAuthor" default = "">
<cfparam name="session.NameNotes" default = "">
<cfparam name="session.BackFromAddOrEditName" default="">

<!--- Was this template called with get method from the central form? --->
<cfif (cgi.request_method is "get") 
	and (session.CallingPage eq "AddOrSelectName" or session.CallingPage eq "SearchName")>
	<!--- Retrieve information for one name --->
	<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
		<cfprocresult name=ThisName>
	</cfstoredproc>

	<cfif (ThisName.PreliminaryFlag eq 1)>
		<cfset session.IsPreliminary = "yes">
		<cfset session.HiddenNoPreliminary = "off">
	<cfelse>
		<cfset session.IsPreliminary = "no">
		<cfset session.HiddenNoPreliminary = "on">
	</cfif>
	<cfset session.SGenName = ThisName.SupraGenericName>
	<cfset session.Genus = ThisName.Genus>
	<cfif (ThisName.MonomHybFlag eq 1)>
		<cfset session.HiddenMonomHyb = "on">
	<cfelse>
		<cfset session.HiddenMonomHyb = "off">
	</cfif>
	<cfset session.GenusSubdivisionEpi = ThisName.GenusSubdivisionEpi>
	<cfset session.SpeciesEpi = ThisName.SpeciesEpi>
	<cfif (ThisName.BinomHybFlag eq 1)>
		<cfset session.HiddenBinomHyb = "on">
	<cfelse>
		<cfset session.HiddenBinomHyb = "off">
	</cfif>		
	<cfset session.InfraSpeciesEpi = ThisName.InfraSpeciesEpi>
	<cfif (ThisName.TrinomHybFlag eq 1)>
		<cfset session.HiddenTRinomHyb = "on">
	<cfelse>
		<cfset session.HiddenTrinomHyb = "off">
	</cfif>	
	
	<cfset session.UnnamedNamePhrase = ThisName.UnnamedNamePhrase>
	<cfset session.CultivarName = ThisName.CultivarName>
	<cfset session.CultivarGroupName = ThisName.CultivarGroupName>
	<cfset session.BasAuthor = ThisName.BasAuthorTeamFk>
	<cfset session.Author = ThisName.AuthorTeamFk>
	<cfset session.ExBasAuthor = ThisName.ExBasAuthorTeamFk>
	<cfset session.ExAuthor = ThisName.ExAuthorTeamFk>
	<cfset session.NameNotes = ThisName.Notes>
	<cfset session.BackFromAddOrEditName = cgi.http_referer>
</cfif>

<!--- Database interface --->
<!--- Information for the focussed name --->
<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocresult name=OneName>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneNameAndCitation" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=NomRef>
</cfstoredproc><cfstoredproc procedure="s_web_OneNameAndNomStatuses" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocresult name=OneNameAndNomStatuses>
</cfstoredproc>
<!--- Retrieve later name for focussed name if basionym --->
<cfstoredproc procedure="s_web_OneHomBasAcc" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=1>
	<cfprocresult name=BasionymFor>
</cfstoredproc>
<!--- Retrieve information to populate pulldown menu for rank selection --->
<cfstoredproc procedure="s_web_GetRanks" datasource=#session.DSName#>
	<cfif #url.Name# eq -1>
		<cfprocparam type="in" cfsqltype=cf_sql_integer value=-1 dbvarname="@Low">
	<cfelse>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value="#url.TempRank#" dbvarname="@Low">
	</cfif>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="100" dbvarname="@High">
	<cfprocresult name=Ranks>
</cfstoredproc>
<!--- Retrieve information to populate menus for author team and basionym authorteam --->
<cfif (#session.Author# eq "") or (#session.BasAuthor# eq "") or (#session.ExAuthor# eq "") or (#session.ExBasAuthor# eq "")>
	<cfstoredproc procedure="s_web_DiscoverValues" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype=cf_sql_varchar value="AuthorTeam">
		<cfprocparam type="in" cfsqltype=cf_sql_varchar value="AuthorTeamCache">
		<cfprocresult name=AuthorValues>
	</cfstoredproc>
</cfif>
<cfif session.Author neq "">
	<cfif isnumeric(session.Author)>
		<cfstoredproc procedure="s_web_OneAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author#>
			<cfprocresult name=AuthorTeam>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author#>
			<cfprocresult name=AuthorTeam>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.BasAuthor neq "">
	<cfif isnumeric(session.BasAuthor)>
		<cfstoredproc procedure="s_web_OneAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.BasAuthor#>
			<cfprocresult name=BasAuthorTeam>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.BasAuthor#>
			<cfprocresult name=BasAuthorTeam>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.ExAuthor neq "">
	<cfif isnumeric(session.ExAuthor)>
		<cfstoredproc procedure="s_web_OneAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.ExAuthor#>
			<cfprocresult name=ExAuthorTeam>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.ExAuthor#>
			<cfprocresult name=ExAuthorTeam>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.ExBasAuthor neq "">
	<cfif isnumeric(session.ExBasAuthor)>
		<cfstoredproc procedure="s_web_OneAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.ExBasAuthor#>
			<cfprocresult name=ExBasAuthorTeam>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.ExBasAuthor#>
			<cfprocresult name=ExBasAuthorTeam>
		</cfstoredproc>
	</cfif>
</cfif>
<!--- Get basionyms and hybrid parents --->
<cfstoredproc procedure="s_web_Acc2Bas" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=Basionym>
</cfstoredproc>
<cfstoredproc procedure="s_web_Acc2HybParents" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=9>
	<cfprocresult name=HybridParent1>
</cfstoredproc>
<cfstoredproc procedure="s_web_Acc2HybParents" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=10>
	<cfprocresult name=HybridParent2>
</cfstoredproc>


<!--- Create form --->
  <table class="maintable">
	<!--- Define columns--->
	<colgroup>
		<col width=25%>
		<col width=72%>		
		<col width=3%>		
	</colgroup>
    <!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<td colspan="3">
			<cfif #URL.Name# eq -1>
				<h2><b>Create a new scientific name</b></h2>
			<cfelse>
				<h2><b>Edit name</b>
					<i><cfoutput>#OneName.FullNameCache#</cfoutput></i><br>
				</h2>
			</cfif>
		</td>
	</tr>
	<form name=EM action="#cgi.script_name#" method="post">
		
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<cfif (#OneName.HybridFormulaFlag# eq 1)>
			<tr bgcolor="#eeeeee">
				<td width="25%"><b>Hybrid Parents:</b></td>
				<cfoutput>
					<td width="72%">
						<cfif len(#HybridParent1.FullnameCache#) is not 0>
		  					#HybridParent1.FullnameCache# &nbsp;
							<i><b><a href="DelBasHomHybParent.cfm?Name2=#url.name#&Name=#HybridParent1.NameFk1#&Ref=#URL.Ref#">Del</a></b></i>
						<cfelse>
							<i><b><a href="EditHybFormula.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&TempSynCat=1&Relqualifier=9">Select first parent</a></b></i>
						</cfif>
						<br>
						<cfif len(#HybridParent2.FullnameCache#) is not 0>
							#HybridParent2.FullnameCache# &nbsp;
							<i><b><a href="DelBasHomHybParent.cfm?Name2=#url.name#&Name=#HybridParent2.NameFk1#&Ref=#URL.Ref#">Del</a></b></i>
						<cfelse>
							<i><b><a href="EditHybFormula.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&TempSynCat=1&Relqualifier=10">Select second parent</a></b></i>
						</cfif>
					</td>
					<td width="3%">&nbsp;</td>
				</cfoutput>
			</tr>
		<cfelse>
			<!--- Select rank category --->
			<tr bgcolor="#eeeeee">
				<td><b>Rank:</b></td>
				<td>
				<cfoutput>
					<cfif #url.Name# eq -1>
						<select name="RankCat" onChange="ChangeRankAction(#url.Name#, #url.Ref#, this, #url.Level#)">
							<cfloop query="Ranks">
								<option value=#Ranks.RankId# <cfif Ranks.RankId eq #url.TempRank#>selected</cfif>>#Ranks.Rank#
							</cfloop>		    
						</select>
					<cfelse>
						#Ranks.Rank#
					</cfif>							
				</cfoutput>
				</td>
				<td>&nbsp;</td>
			</tr>
			<!--- Suprageneric --->
			<cfif #url.TempRank# lt 40>
				<tr bgcolor="#eeeeee">
					<td><b>Suprageneric name:</b></td>
					<td><input type="text" name="SGenName" size="50" value="<cfoutput>#session.SGenName#</cfoutput>"></td>
					<td>&nbsp;</td>
				</tr>
			</cfif>
			<!--- Genus  --->
			<cfif (#url.TempRank# eq 40)>
				<tr bgcolor="#eeeeee">
					<td><b>Genus name:</b></td>
					<td>
						<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
						<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
						<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Unnamed name phrase:</b></td>
					<td>
					<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar name:</b></td>
					<td>
					<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar group name:</b></td>
					<td>
					<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
			</cfif>
			<!--- Infrageneric ranks (subgenus, sectio, series) --->
			<cfif ((#URL.TempRank# gt 40) AND (#URL.TempRank# lt 58)) OR (#URL.TempRank# eq 98)>
				<tr bgcolor="#eeeeee">
					<td><b>Genus name:</b></td>
					<td>
						<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
						<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
						<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Infrageneric epithet::</b></td>
					<td>
						<input type="text" name="GenusSubdivisionEpi"  size="50" value="<cfoutput>#session.GenusSubdivisionEpi#</cfoutput>">
						<input type="checkbox" name="BinomHyb" <cfif session.HiddenBinomHyb eq 'on'> checked </cfif> onClick="SetHiddenBinomHyb()"> (genSubdi. hybrid)
						<input type="hidden" name="HiddenBinomHyb"<cfif session.HiddenBinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Unnamed Name Phrase:</b></td>
					<td>
					<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar name:</b></td>
					<td>
					<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar group name:</b></td>
					<td>
					<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
	
			</cfif>
			<!--- Species aggregates --->
			<cfif (#url.TempRank# eq 58) or (#url.TempRank# eq 59)>
				<tr bgcolor="#eeeeee">
					<td><b>Genus name:</b></td>
					<td>
						<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
						<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
						<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Species epithet:</b></td>
					<td>
						<input type="text" name="SpeciesEpi"  size="50" value="<cfoutput>#session.SpeciesEpi#</cfoutput>">
						<input type="checkbox" name="BinomHyb" <cfif session.HiddenBinomHyb eq 'on'> checked </cfif> onClick="SetHiddenBinomHyb()"> (sp. hybrid)
						<input type="hidden" name="HiddenBinomHyb" <cfif session.HiddenBinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Unnamed Name Phrase:</b></td>
					<td>
					<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar name:</b></td>
					<td>
					<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar group name:</b></td>
					<td>
					<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				
			</cfif>
			<!--- Species --->
			<cfif #url.TempRank# eq 60>
				<tr bgcolor="#eeeeee">
					<td><b>Genus name:</b></td>
					<td>
						<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
						<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
						<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Species epithet:</b></td>
					<td>
						<input type="text" name="SpeciesEpi"  size="50" value="<cfoutput>#session.SpeciesEpi#</cfoutput>">
						<input type="checkbox" name="BinomHyb" <cfif session.HiddenBinomHyb eq 'on'> checked </cfif> onClick="SetHiddenBinomHyb()"> (sp. hybrid)
						<input type="hidden" name="HiddenBinomHyb" <cfif session.HiddenBinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Unnamed name phrase:</b></td>
					<td>
					<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar name:</b></td>
					<td>
					<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar group name:</b></td>
					<td>
					<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
			</cfif>
			<!--- Subspecies --->
			<cfif (#url.TempRank# gt 60) AND (#URL.TempRank# neq 98)>
				<tr bgcolor="#eeeeee">
					<td><b>Genus name:</b></td>
					<td>
						<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
						<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
						<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Species epithet:</b></td>
					<td>
						<input type="text" name="SpeciesEpi"  size="50" value="<cfoutput>#session.SpeciesEpi#</cfoutput>">
						<input type="checkbox" name="BinomHyb" <cfif session.HiddenBinomHyb eq 'on'> checked </cfif> onClick="SetHiddenBinomHyb()"> (sp. hybrid)
						<input type="hidden" name="HiddenBinomHyb" <cfif session.HiddenBinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Infraspecific epithet:</b></td>
					<td>
					<input type="text" name="InfraSpeciesEpi" size="50" value="<cfoutput>#Session.InfraSpeciesEpi#</cfoutput>">
					<input type="checkbox" name="TrinomHyb" <cfif session.HiddenTrinomHyb eq 'on'> checked </cfif> onClick="SetHiddenTrinomHyb()"> (infSp. hybrid)
					<input type="hidden" name="HiddenTrinomHyb" <cfif session.HiddenTrinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Unnamed name phrase:</b></td>
					<td>
					<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar name:</b></td>
					<td>
					<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Cultivar group name:</b></td>
					<td>
					<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
					</td>
					<td>&nbsp;</td>
				</tr>
	
			</cfif>
	
			<!--- Basionym author teams and author teams for any rank except aggregates or group --->
			<cfif (#url.temprank# neq 58) and (#url.temprank# neq 59)>
				<tr bgcolor="#eeeeee">
					<td><b>&nbsp;&nbsp;&nbsp;&nbsp;<font color="#666666">Basionym &quot;ex&quot; authors:</font></b></td>
					<td>
						<cfoutput>
						<select name="ExBasAuthor" onChange="ChangeAuthorAction(#url.Name#, #url.Ref#, #url.TempRank#, #url.Level#)">
							<cfif session.ExBasAuthor neq "">
								<cfif isnumeric(session.ExBasAuthor)>
									<option value=#ExBasAuthorTeam.AuthorTeamId#>#ExBasAuthorTeam.AuthorTeamCache#
									<option value="">----------------------------------- no selection -----------------------------------
								<cfelse>
									<option value="#session.ExBasAuthor#">-------------------------------- preselection: #session.ExBasAuthor# ------------------------------
									<option value="">----------------------------------- no selection -----------------------------------
									<cfloop query="ExBasAuthorTeam">
										<option value=#ExBasAuthorTeam.AuthorTeamId#>#ExBasAuthorTeam.AuthorTeamCache#&nbsp;
									</cfloop>
								</cfif>
							<cfelse>	
								<option value="">----------------------------------- no selection -----------------------------------
								<cfloop query="AuthorValues">
									<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
								</cfloop>		    
							</cfif>	
						</select>
					</td>
					<td>
						<cfif session.ExBasAuthor neq "" AND isnumeric(session.ExBasAuthor)>
							<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?Ref=#URL.Ref#&AuthorTeam=#ExBasAuthorTeam.AuthorTeamId#"><img src="../../images/edit.gif" border="0" alt="Edit"></a>
						</cfif>
						</cfoutput>
					</td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Basionym authors:</b></td>
					<td>
						<cfoutput>
						<select name="BasAuthor" onChange="ChangeAuthorAction(#url.Name#, #url.Ref#, #url.TempRank#, #url.Level#)">
							<cfif session.BasAuthor neq "">
								<cfif isnumeric(session.BasAuthor)>
									<option value=#BasAuthorTeam.AuthorTeamId#>#BasAuthorTeam.AuthorTeamCache#
									<option value="">----------------------------------- no selection -----------------------------------
								<cfelse>
									<option value="#session.BasAuthor#">-------------------------------- preselection: #session.BasAuthor# ------------------------------
									<option value="">----------------------------------- no selection -----------------------------------
									<cfloop query="BasAuthorTeam">
										<option value=#BasAuthorTeam.AuthorTeamId#>#BasAuthorTeam.AuthorTeamCache#&nbsp;
									</cfloop>
								</cfif>
							<cfelse>	
								<option value="">----------------------------------- no selection -----------------------------------
								<cfloop query="AuthorValues">
									<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
								</cfloop>		    
							</cfif>	
						</select>
					</td>
					<td>
						<cfif session.BasAuthor neq "" AND isnumeric(session.BasAuthor)>
							<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?Ref=#URL.Ref#&AuthorTeam=#BasAuthorTeam.AuthorTeamId#"><img src="../../images/edit.gif" border="0" alt="Edit"></a>
						</cfif>
						</cfoutput>
					<td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>&nbsp;&nbsp;&nbsp;&nbsp;<font color="#666666">&quot;Ex&quot; 
					  authors:</font></b></td>
					<td>
						<cfoutput>
						<select name="ExAuthor" onChange="ChangeAuthorAction(#url.Name#, #url.Ref#, #url.TempRank#, #url.Level#)">
							<cfif session.ExAuthor neq "">
								<cfif isnumeric(session.ExAuthor)>
									<option value=#ExAuthorTeam.AuthorTeamId#>#ExAuthorTeam.AuthorTeamCache#
									<option value="">----------------------------------- no selection -----------------------------------
								<cfelse>
									<option value="#session.ExAuthor#">------------------------------- preselection: #session.ExAuthor# -----------------------------
									<option value="">----------------------------------- no selection -----------------------------------
									<cfloop query="ExAuthorTeam">
										<option value=#ExAuthorTeam.AuthorTeamId#>#ExAuthorTeam.AuthorTeamCache#&nbsp;
									</cfloop>
								</cfif>
							<cfelse>	
								<option value="">----------------------------------- no selection -----------------------------------
								<cfloop query="AuthorValues">
									<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
								</cfloop>		    
							</cfif>	
						</select>
					</td>
					<td>
						<cfif session.ExAuthor neq "" AND isnumeric(session.ExAuthor)>
							<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?Ref=#URL.Ref#&AuthorTeam=#ExAuthorTeam.AuthorTeamId#"><img src="../../images/edit.gif" border="0" alt="Edit"></a>
						</cfif>
						</cfoutput>
					<td>
				</tr>
				<tr bgcolor="#eeeeee">
					<td><b>Authors:</b></td>
					<td>
						<cfoutput>
						<select name="Author" onChange="ChangeAuthorAction(#url.Name#, #url.Ref#, #url.TempRank#, #url.Level#)">
							<cfif session.Author neq "">
								<cfif isnumeric(session.Author)>
									<option value=#AuthorTeam.AuthorTeamId#>#AuthorTeam.AuthorTeamCache#
									<option value="">----------------------------------- no selection -----------------------------------
								<cfelse>
									<option value="#session.Author#">------------------------------- preselection: #session.Author# -----------------------------
									<option value="">----------------------------------- no selection -----------------------------------
									<cfloop query="AuthorTeam">
										<option value=#AuthorTeam.AuthorTeamId#>#AuthorTeam.AuthorTeamCache#&nbsp;
									</cfloop>
								</cfif>
							<cfelse>	
								<option value="">----------------------------------- no selection -----------------------------------
								<cfloop query="AuthorValues">
									<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
								</cfloop>		    
							</cfif>	
						</select>
					</td>
					<td>
						<cfif session.Author neq "" AND isnumeric(session.Author)>
							<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?Ref=#URL.Ref#&AuthorTeam=#AuthorTeam.AuthorTeamId#"><img src="#application.EditorHome#images/edit.gif" border="0" alt="Edit"></a>
						</cfif>
						</cfoutput>
					<td>
				</tr>
				<!--- New author team--->
				<tr bgcolor="#eeeeee">
					<td><a href="javascript: ButtonAction('NewAuthorTeam')" class="addlink">New author team</a></td>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				</tr>
				
				<cfif #URL.Name# neq -1> <!--- no reference, status or basionym as long as the new name does not exist in the database --->
					<!--- Hybridformula and autonym have no nomenclatural reference--->
					<cfif #OneName.HybridformulaFlag# neq 1 and (len(#OneName.SpeciesEpi#) eq 0 or len(#OneName.InfraSpeciesEpi#) eq 0 or #OneName.SpeciesEpi# neq #OneName.InfraSpeciesEpi#)> 
					<tr bgcolor="#eeeeee">
						<td><strong>Nomencl. ref.</strong></td>
						<cfoutput>
							<td>
							<cfif Len(Trim(#OneName.RefDetailId#)) gt 0>
								<cfif Len(Trim(#OneName.FullNomRefCache#)) gt 0>
									<a href="#Application.EditorHome#Bib/UpdateNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">#OneName.FullNomRefCache#</a>		
								<cfelse>
									<a href="#Application.EditorHome#Bib/UpdateNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">??</a>		
								</cfif>
							<cfelse>
								&nbsp;
							</cfif>
							</td>
							<td>
							<cfif Len(Trim(#OneName.RefDetailId# ))gt 0>
								<i><b><a href="#Application.EditorHome#Bib/DelNomRef.cfm?Name2=-1&Name=#URL.Name#&Ref=#URL.Ref#"><img src="#Application.EditorHome#images/del.gif" border="0" alt="Del"></a></b></i>
							<cfelse>	
								<cfif #OneName.AuthorTeamFk# gte 0> 
									<i><a href="#Application.EditorHome#Bib/AddNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=3" class="addlink"><img src="#Application.EditorHome#images/add.gif" border="0" alt="Add"></a></i>
								<cfelse>
									<i><a href="##" onclick=openNomRefCheckWindow() class="addlink"><img src="#Application.EditorHome#images/add.gif" border="0" alt="Add"></a></i>
								</cfif>
							</cfif>		
							</td>
						</cfoutput>  
					</tr>
					<cfset Header = 1>
					<cfloop query="OneNameAndNomStatuses">   
						<tr bgcolor="#eeeeee">
							<td>
							<cfif Header eq 1>
								<strong>Nomencl. status</strong>
								<cfset Header = 0>
							<cfelse>
								&nbsp;
							</cfif>
							</td>
							<cfoutput>
								<td>
								<cfif #OneNameAndNomStatuses.RecordCount# gt 0>
									<cfif Len(#OneNameAndNomStatuses.FullRefCache#)eq 0>
										<a href="#application.EditorHome#Names/ShowNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#">#OneNameAndNomStatuses.QuetionMark#&nbsp;#OneNameAndNomStatuses.Nomstatus#</a>
									<cfelseif Len(#OneNameAndNomStatuses.FullRefCache#)lt 60>
										<a href="#application.EditorHome#Names/ShowNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#">#OneNameAndNomStatuses.QuetionMark#&nbsp;#OneNameAndNomStatuses.Nomstatus#&nbsp;(fide #OneNameAndNomStatuses.FullRefCache#)</a>
									<cfelse>
										<a href="#application.EditorHome#Names/ShowNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#">#OneNameAndNomStatuses.QuetionMark#&nbsp;#OneNameAndNomStatuses.Nomstatus#&nbsp;(fide #OneNameAndNomStatuses.First60#...)</a>
									</cfif>
								<cfelse>
									&nbsp;
								</cfif>
								</td>
								<td>
								<cfif #OneNameAndNomStatuses.RecordCount# gt 0>
									 <a href="#application.EditorHome#Names/DelNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#"><img src="#Application.EditorHome#images/del.gif" border="0" alt="Del"></a>
								</cfif>
								</td>
							</cfoutput>
						</tr>
					</cfloop>
					<tr bgcolor="#eeeeee">
						<td>
						<cfif Header eq 1>
							 <strong>Nomencl. status</strong>
						<cfelse>
							 &nbsp;
						</cfif>
						</td>
						<td>
						<cfif Header eq 1>
							<cfoutput>
								<i><a href="#application.EditorHome#Names/AddNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempNomStatus=1&TempRefCat=1" class="addlink">add nomenclatural status</a></i>
							</cfoutput>
						<cfelse>
							<cfoutput>
								<i><a href="#application.EditorHome#Names/AddNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempNomStatus=1&TempRefCat=1" class="addlink">add nomenclatural status</a></i>
							</cfoutput>
						</cfif>
						</td>
						<td>&nbsp;</td>
					</tr>
				</cfif>
				<!--- Basionymy --->
				<tr bgcolor="#EFEFE7">
				<cfset Level = URL.Level + 1>
				<cfif Level gt 3>
					<CFSET Level = 3>
				</cfif>
					<cfoutput>
						<cfif BasionymFor.recordcount gt 0> <!--- This name is already a basionym for another name --->
							<cfloop QUERY = BasionymFor>
								<td><strong>is basionym for:</strong></td>
								<td>
									<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditName.cfm?Ref=#URL.Ref#&Name=#BasionymFor.NameId#&TempRank=#BasionymFor.RankFk#&Level=#Level#">#BasionymFor.FullNameCache#</a>
								</td>
								<td></td>
							</cfloop>
						<cfelse>
							<td><strong>Basionym:</strong></td>
							<cfif Basionym.recordcount eq 0> <!--- No basionym --->
								<td></td>
								<td>
									<a href="#application.EditorHome#Extensions/EditorialBoard/SelectBasOrHybPar.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&Relqualifier=1"><img src="../../images/add.gif" border="0" alt="Add"></a>
								</td>
							<cfelse>
								<cfif Len(Trim(#Basionym.NameFk1#))gt 0 >
									<cfif Len(Trim(#Basionym.FullNameCache#))gt 0 >
										<td><a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditName.cfm?Ref=#URL.Ref#&Name=#Basionym.NameFk1#&TempRank=#Basionym.RankId#&Level=#Level#">#Basionym.FullNameCache#</a></td>
									<cfelse>
										<td><a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditName.cfm?Ref=#URL.Ref#&Name=#Basionym.NameFk1#&TempRank=#Basionym.RankId#&Level=#Level#">??</a></td>
									</cfif>
									<td><a href="#application.EditorHome#Names/DelBasHomHybParent.cfm?Name2=#url.name#&Name=#Basionym.NameFk1#&Ref=#URL.Ref#"><img src="../../images/del.gif" border="0" alt="Del"></a></td>
								</cfif>
							</cfif>
						</cfif>
					</cfoutput>	
				</tr>
			</cfif>
		</cfif>
	</cfif>
 	
		<!--- Notes --->
		<tr bgcolor="#eeeeee">
			<td>
				<b>Notes</b>
			</td><td>	
				<textarea cols="50" rows="3" name="NameNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.NameNotes#</cfoutput></textarea>
			</td>
			<td>&nbsp;</td>
		</tr>
		
		<!--- Warning in case of name having beeing captured with rapid entry option (preliminary flag was set) --->
		<cfif session.IsPreliminary eq 'yes'>
			<tr bgcolor ="#eeeeee">
				<td colspan="3"> 
					<strong>Caution:</strong> This name was originally entered with rapid data entry option. <br>
					If you want to <strong>substitute</strong> it with the atomised data check the box 
					<input type="checkbox" name="PreliminaryFlag" <cfif session.HiddenNoPreliminary eq 'on'> checked </cfif> onClick="SetHiddenNoPreliminary()">
					<input type="hidden" name="HiddenNoPreliminary" <cfif session.HiddenNoPreliminary eq 'on'> value="on" <cfelse> value = "off" </cfif>> 
					<br> (otherwise atomised data will only be added to the original name) 
				</td>
				<td>&nbsp;</td>
			</tr>
		</cfif>

		<!--- Check, Apply, Cancel buttons --->
		<cfif (#OneName.HybridFormulaFlag# eq 1)>
			<cfif len(#HybridParent1.FullnameCache#) is not 0 and  len(#HybridParent2.FullnameCache#) is not 0>
				<tr bgcolor ="#eeeeae">
					<td colspan="3">
						<input type="button" name="ApplyHy" value="Apply" onClick="ButtonAction('ApplyHyb')">
						<cfif #URL.Name# neq -1>
							<input type="button" name="Delete" value="Delete" onClick="ButtonAction('Delete')"> 					
						</cfif>
						<cfif #url.Name2# neq 0>
							<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
						</cfif>
					</td>
				</tr>
			<cfelse>
				<tr bgcolor ="#eeeeae">
					<td colspan="3">&nbsp;
						
					</td>
				</tr>
			</cfif>
		<cfelse>
			<tr bgcolor ="#eeeeae">
				<td colspan="3">
					<input type="button" name="Check" value="Check" onClick="ButtonAction('Check')">
					<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
					<cfif #URL.Name# neq -1>
						<input type="button" name="Delete" value="Delete" onClick="ButtonAction('Delete')"> 					
					</cfif>
					<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
				</td>
			</tr>
		</cfif>
	</form>
</table>
<cfinclude template="../../template_down.cfm">