<!--- List of found authors				--->
<!--- M. Geoffroy			    --->
<!--- Created: 6/2005				    --->


<!---
Lists authors. 
--->
<cfinclude template="../../template_up.cfm">

  	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>
 
	
<!--- Create session variables if not already existing --->
<cfparam name="session.BackFromAddOrSelectAuthor" default="">

<!--- Was this template called with get method? --->
<cfif (cgi.request_method is "get")>
	<cfset session.BackFromAddOrSelectAuthor = "#application.EditorHome#Extensions/EditorialBoard/SearchAuthor.cfm?Ref=#URL.Ref#">
</cfif>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- "Cancel" was pressed --->
	<cfif form.TheButton eq "Cancel">
		<cfset session.Abbrev = "">
		<cfset session.FirstName = "">
		<cfset session.LastName = "">
		<cflocation addtoken="no" url="#session.BackFromAddOrSelectAuthor#">
	</cfif>
	<!--- NewAuthor was pressed --->
	<cfif form.TheButton eq "NewAuthor">
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Ref=#URL.Ref#&Author=-1" addtoken="no">
	</cfif>
</cfif>

<!--- Database interface --->
<cfset NewAbbrev = #replace(#url.Abbrev#, "*", "%", "all")#>
<cfset NewFirstName = #replace(#url.FirstName#, "*", "%", "all")#>
<cfset NewLastName = #replace(#url.LastName#, "*", "%", "all")#>
<cfstoredproc procedure="s_board_SearchAuthor" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewAbbrev#>
	<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewFirstName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewLastName#>
	<cfprocresult name=FoundAuthors>
</cfstoredproc>


<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<cfoutput>
			<td colspan=2><h2><b>Found authors<b></h2></td>
		</cfoutput>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input Type="hidden" name="TheButton">

		<cfloop query="FoundAuthors">
			<tr bgcolor="#eeeeee">
				<cfoutput>
					<td width="560">#FoundAuthors.Abbrev# (#FoundAuthors.LastName#, #FoundAuthors.FirstName#)</td>
					<td width="40"><i><b><a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Author=#FoundAuthors.AuthorId#&Ref=#URL.Ref#&Head=1"><img src="#application.EditorHome#images/edit.gif" border="0" alt="Edit"></a></b></i></td>
				</cfoutput>
			</tr>
		</cfloop>

		<!--- Find or add new author --->
		<tr bgcolor="#eeeeee">
			<td><a href="javascript: ButtonAction('NewAuthor')" class="addlink">Create a new author</a></td>
			<td>&nbsp;</td>
		</tr>	
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="2">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">