<!--- List of found author teams				--->
<!--- M. Geoffroy			    --->
<!--- Created: 6/2005				    --->


<!---
Lists author teams. 
--->
<cfinclude template="../../template_up.cfm">

  	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>
 
	
<!--- Create session variables if not already existing --->
<cfparam name="session.BackFromAddOrSelectAuthorTeam" default="">

<!--- Was this template called with get method? --->
<cfif (cgi.request_method is "get")>
	<cfset session.BackFromAddOrSelectAuthorTeam = "#application.EditorHome#Extensions/EditorialBoard/SearchAuthorTeam.cfm?Ref=#URL.Ref#">
</cfif>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- "Cancel" was pressed --->
	<cfif form.TheButton eq "Cancel">
		<cfset session.SearchString = "">
		<cflocation addtoken="no" url="#session.BackFromAddOrSelectAuthorTeam#">
	</cfif>
	<!--- NewAuthorTeam was pressed --->
	<cfif form.TheButton eq "NewAuthorTeam">
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?Ref=#URL.Ref#&AuthorTeam=-1" addtoken="no">
	</cfif>
</cfif>

<!--- Database interface --->
<cfset NewSearchString = #replace(#url.SearchString#, "*", "%", "all")#>
<cfstoredproc procedure="s_board_SearchAuthorTeam" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
	<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#url.PreFlag#>
	<cfprocresult name=FoundAuthorTeams>
</cfstoredproc>


<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<cfoutput>
			<td colspan=2><h2><b>Found author teams<b></h2></td>
		</cfoutput>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input Type="hidden" name="TheButton">

		<cfloop query="FoundAuthorTeams">
			<cfif #FoundAuthorTeams.AuthorTeamCache# neq "">
				<tr bgcolor="#eeeeee">
					<cfoutput>
						<td width="560">#FoundAuthorTeams.AuthorTeamCache#</td>
						<td width="40"><i><b><a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?AuthorTeam=#FoundAuthorTeams.AuthorTeamId#&Ref=#URL.Ref#&Head=1"><img src="#application.EditorHome#images/edit.gif" border="0" alt="Edit"></a></b></i></td>
					</cfoutput>
				</tr>
			</cfif>
		</cfloop>

		<cfloop query="FoundAuthorTeams">
			<cfif #FoundAuthorTeams.AuthorTeamCache# eq "">
				<tr bgcolor="#eeeeee">
					<cfoutput>
						<td width="560">#FoundAuthorTeams.FullAuthorTeamCache#</td>
						<td width="40"><i><b><a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?AuthorTeam=#FoundAuthorTeams.AuthorTeamId#&Ref=#URL.Ref#&Head=1"><img src="#application.EditorHome#images/edit.gif" border="0" alt="Edit"></a></b></i></td>
					</cfoutput>
				</tr>
			</cfif>
		</cfloop>

		<!--- Find or add new author--->
		<tr bgcolor="#eeeeee">
			<td><a href="javascript: ButtonAction('NewAuthorTeam')" class="addlink">Create a new author team</a></td>
			<td>&nbsp;</td>
		</tr>	
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="2">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">