<!--- Search for names   --->
<!--- M. Geoffroy			    --->
<!--- Created: 6/2005			--->

<!---
Search for records in the name table. The "*" charcacter within
serach strings is replaced by "%" to be compliant with ANSI SQL. 
--->

<cfinclude template="../../template_up.cfm">
  	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>
  
<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<cfif isdefined("form.PreFlag")>
		<cfset session.PreFlag = form.PreFlag>
	</cfif>
	<cfif isdefined("form.SearchString")>
		<cfset session.SearchString = form.SearchString>
	</cfif>
	<cfif isdefined("form.Rank")>
		<cfset session.Rank = form.Rank>
	</cfif>
	
	<!--- Find button was pressed --->
	<cfif form.TheButton eq "Find">
	<!--- ... jump to the result template --->
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrSelectName.cfm?Ref=#URL.Ref#&SearchString=#session.SearchString#&PreFlag=#session.PreFlag#&TempRank=#session.Rank#" addtoken="no">
	<!--- NewAuthorTeam was pressed --->
	<cfelseif form.TheButton eq "NewName">
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditName.cfm?Ref=#URL.Ref#&Name=-1&TempRank=60&Level=1" addtoken="no">
	<!--- "Cancel" was pressed --->
	<cfelseif form.TheButton eq "Cancel">
		<cflocation addtoken="no" url="#session.BackFromSearchName#">
	</cfif>
</cfif>


<!--- Create session variables if not already existing --->
<cfparam name="session.SearchString" default="">
<cfparam name="session.PreFlag" default="">
<cfparam name="session.Rank" default="">
<cfparam name="session.BackFromSearchAuthorTeam" default="">

<!--- Was this template called with get method? --->
<cfif (cgi.request_method is "get")>
	<cfset session.SearchString = "">
	<cfset session.PreFlag = "">
	<cfset session.Rank = "">
	<cfset session.BackFromSearchName = "#application.EditorHome#EditorialBoard.cfm?ref=#session.CurrentUser#">
</cfif>

<!--- Retrieve information to populate pulldown menu for rank selection --->

<cfstoredproc procedure="s_web_GetRanks" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="0" dbvarname="@Low">
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="100" dbvarname="@High">
	<cfprocparam type="in" cfsqltype="cf_sql_varchar" value="Ext" dbvarname="@Level">
	<cfprocresult name=Ranks>
</cfstoredproc>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<cfoutput>
			<td colspan=2><h2><b>Find or create a scientific name<b></h2></td>
		</cfoutput>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input Type="hidden" name="TheButton">
		
		<!--- Form fields --->		
		<tr bgcolor="#eeeeee">
			<td width=160><b>Name search</b><br>(e.g. *alba*)</td>
			<td width=440><input type="text" name="SearchString" size="80"></td>
		</tr>

		<!--- Select Preliminary Flag  --->
		<tr bgcolor="#eeeeee">
			<td width=160><b>Preliminary flag</b></td>
			<td width=440>
			<cfoutput>
				<select name="PreFlag">
					<option value="" <cfif session.PreFlag eq "">selected</cfif>>any        
					<option value="1" <cfif session.PreFlag eq "1">selected</cfif>>on
					<option value="0" <cfif session.PreFlag eq "0">selected</cfif>>off
				</select>
			</cfoutput>
			</td>
		</tr>

		<!--- Select Rank  --->
		<tr bgcolor="#eeeeee">
			<td width=160><b>Rank</b></td>
			<td width=440>
			<cfoutput>
				<select name="Rank">
					<option value="" <cfif session.Rank eq "">selected</cfif>>any
					<cfloop query="Ranks">
						<option value=#Ranks.RankId# <cfif Ranks.RankId eq #session.Rank#>selected</cfif>>#Ranks.Rank#
					</cfloop>		    
				</select>
			</cfoutput>
			</td>
		</tr>

		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="2">
				<input type="button" name="Find" value="Find" onClick="ButtonAction('Find')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
				<input type="button" name="NewName" value="New name" onClick="ButtonAction('NewName')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">