<!--- Search for References				    --->
<!--- M. Geoffroy			    --->
<!--- Created: 4/2005				    --->

<!---
Search for records in the reference table. Use also
selectboxes to specify the fields to be searched. 
--->

<cfinclude template="../../template_up.cfm">
  	<script language="JavaScript">
		<!--- Call this page once more if user selects a biblio entry --->
		function ChangeBiblioAction(Ref, TempRefCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Extensions/EditorialBoard/SearchReference.cfm?ref=' + Ref + '&TempRefCat=' + TempRefCat;
			document.EM.submit();
		}	
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		function ChangeCategoryAction(Ref, CategoryLst) {
			TempRefCat = CategoryLst.options[CategoryLst.selectedIndex].value;
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Extensions/EditorialBoard/SearchReference.cfm?ref=' + Ref + '&TempRefCat=' + TempRefCat;
			document.EM.submit();
		}
	</script>
  
<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<cfif isdefined("form.PreFlag")>
		<cfset session.PreFlag = form.PreFlag>
	</cfif>
	<cfif isdefined("form.IdInSource")>
		<cfset session.IdInSource = form.IdInSource>
	</cfif>
	<cfif isdefined("form.ArPageString")>
		<cfset session.ArPageString = form.ArPageString>
	</cfif>
	<!--- If Find button was pressed --->
	<cfif form.TheButton eq "Find">
	<!--- ... and jump to the result template --->
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrSelectReference.cfm?Ref=#URL.Ref#&RefCat=#URL.TempRefCat#&PreFlag=#session.PreFlag#&Title=#session.CitBPTitle#&In=#session.CitInTitle#&Author=#session.CitBPAuthor#&AuthorAbbr=#session.CitBPAuthorAbbr#&Year=#session.CitBPYear#&Page=#session.ArPageString#&TitleAbbr=#session.CitBPTitleAbbrev#&Source=#session.IdInSource#" addtoken="no">
	<!--- If FindSource button was pressed --->
	<cfelseif form.TheButton eq "FindSource">
	<!--- ... and jump to the result template --->
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrSelectReference.cfm?Ref=#URL.Ref#&RefCat=0&PreFlag=#session.PreFlag#&Title=#session.CitBPTitle#&In=#session.CitInTitle#&Author=#session.CitBPAuthor#&AuthorAbbr=#session.CitBPAuthorAbbr#&Year=#session.CitBPYear#&Page=#session.ArPageString#&TitleAbbr=#session.CitBPTitleAbbrev#&Source=#session.IdInSource#" addtoken="no">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.CitBPTitle")>
			<cfset session.CitBPTitle = form.CitBPTitle>
		</cfif>
		<cfif isdefined("form.CitInTitle")>
			<cfset session.CitInTitle = form.CitInTitle>
		</cfif>
		<cfif isdefined("form.CitBPAuthor")>
			<cfset session.CitBPAuthor = form.CitBPAuthor>
		</cfif>
		<cfif isdefined("form.CitBPAuthorAbbr")>
			<cfset session.CitBPAuthorAbbr = form.CitBPAuthorAbbr>
		</cfif>
		<cfif isdefined("form.CitBPYear")>
			<cfset session.CitBPYear = form.CitBPYear>
		</cfif>
		<cfif isdefined("form.ArPageString")>
			<cfset session.ArPageString = form.ArPageString>
		</cfif>
		<cfif isdefined("form.CitBPTitleAbbrev")>
			<cfset session.CitBPTitleAbbrev = form.CitBPTitleAbbrev>
		</cfif>
		
		
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromSearchReference#">
		</cfif>
		<!--- New Bib record was pressed--->
		<cfif form.TheButton eq "NewBook">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditBook.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=3&Head=1" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewArticleOfJournal">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditBibArticleOfJournal.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=1" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewPartOfTitle">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditBibPartOfTitle.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=2&TempInRefCat=3" addtoken="no">
		</cfif>
		<!------  'TempRefCat=0' is only for programming convienient --->
		<cfif form.TheButton eq "NewPeriodical">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditPeriodical.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=9&Head=1" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewDatabase">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditDBOrInformal.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=4" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewInformal">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditDBOrInformal.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=5" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewUnresolved">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditDBOrInformal.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=10" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewWebsite">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditDBOrInformal.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=7" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewPublishedCD">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditDBOrInformal.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=8" addtoken="no">
		</cfif>
	</cfif>
</cfif>


<!--- Create session variables if not already existing --->
<cfparam name="session.PreFlag" default="">
<cfparam name="session.CitBPTitle" default="">
<cfparam name="session.CitInTitle" default="">
<cfparam name="session.CitBPAuthor" default="">
<cfparam name="session.CitBPAuthorAbbr" default="">
<cfparam name="session.CitBPYear" default="">
<cfparam name="session.ArPageString" default="">
<cfparam name="session.CitBPTitleAbbrev" default="">
<cfparam name="session.IdInSource" default="">
<cfparam name="session.BackFromSearchReference" default="">

<!--- Was this template called with get method? --->
<cfif (cgi.request_method is "get")>
	<cfset session.PreFlag = "">
	<cfset session.CitBPTitle = "">
	<cfset session.CitInTitle = "">
	<cfset session.CitBPAuthor = "">
	<cfset session.CitBPAuthorAbbr = "">
	<cfset session.CitBPYear = "">
	<cfset session.ArPageString = "">
	<cfset session.CitBPTitleAbbrev = "">
	<cfset session.IdInSource = "">
	<cfset session.BackFromSearchReference = "#application.EditorHome#EditorialBoard.cfm?ref=#session.CurrentUser#">
</cfif>

<!--- Database interface --->
<cfstoredproc procedure="s_web_GetRefCategorys" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="1" dbvarname="@Low">
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="10" dbvarname="@High">
	<cfprocresult name=Categorys>
</cfstoredproc>

<!--- Retrieve information to populate bib pulldown menu --->
<cfif (#url.TempRefCat# eq 4)or(#url.TempRefCat# eq 5) or (#url.TempRefCat# eq 7)
		or(#url.TempRefCat# eq 8)or(#url.TempRefCat# eq 9) or (#url.TempRefCat# eq 10)>
	<cfif (#session.CitBPTitle# eq "")>
		<cfstoredproc procedure="s_web_DiscoverRefCache" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
		<cfprocresult name="BibValues">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.CitBPTitle)>
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPTitle#>
				<cfprocresult name="Bib">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_SearchRefCache" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitle#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="Bib">
			</cfstoredproc>
		</cfif>
	</cfif>
</cfif>
<cfif (#url.TempRefCat# eq 1) or (#url.TempRefCat# eq 2)or (#url.TempRefCat# eq 3)>
	<cfif (#session.CitBPAuthor# eq "")>
		<cfstoredproc procedure="s_web_DiscoverAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
			<cfprocresult name="AuthorTeamsValues">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.CitBPAuthor)>
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPAuthor#>
				<cfprocresult name="BibAuthor">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_SearchRefAuthor" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPAuthor#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="RefAuthor">
			</cfstoredproc>
		</cfif>
	</cfif>		
	
	<cfif (#session.CitBPAuthorAbbr# eq "")>
		<cfstoredproc procedure="s_board_DiscoverAuthorTeamAbbrev" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
			<cfprocresult name="AuthorTeamsAbbrevValues">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.CitBPAuthorAbbr)>
			<cfstoredproc procedure="s_web_OneAuthorTeam" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPAuthorAbbr#>
				<cfprocresult name="BibAuthorAbbrev">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_board_SearchRefAuthorAbbrev" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPAuthorAbbr#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="RefAuthorAbbrev">
			</cfstoredproc>
		</cfif>
	</cfif>
			
	<cfstoredproc procedure="s_board_DiscoverAllYear" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
		<cfprocresult name="AllYearsValues">
	</cfstoredproc>
	
	<cfif (#session.CitBPTitle# eq "")>
		<cfstoredproc procedure="s_web_DiscoverAllRefTitle" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
			<cfprocresult name="TitleValues">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.CitBPTitle)>
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPTitle#>
				<cfprocresult name="Bib">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_SearchAllRefTitle" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitle#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="Bib">
			</cfstoredproc>
		</cfif>
	</cfif>	
</cfif>

<cfif (#url.TempRefCat# eq 3)>
	<cfif (#session.CitBPTitleAbbrev# eq "")>
		<cfstoredproc procedure="s_board_DiscoverAllRefTitleAbbrev" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
			<cfprocresult name="TitleAbbrevValues">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.CitBPTitleAbbrev)>
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPTitleAbbrev#>
				<cfprocresult name="BibAbbrev">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_board_SearchAllRefTitleAbbrev" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitleAbbrev#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="BibAbbrev">
			</cfstoredproc>
		</cfif>
	</cfif>	
</cfif>

<cfif ((#url.TempRefCat# eq 1) or (#url.TempRefCat# eq 2))>
	<cfif (#session.CitInTitle# eq "")>
		<cfstoredproc procedure=" s_board_DiscoverInRefTitle" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
			<cfprocresult name="InBibValues">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.CitInTitle)>
			<cfstoredproc procedure="s_web_OneInReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitInTitle#>
				<cfprocresult name="InBib">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure=" s_board_SearchInRefTitle" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitInTitle#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="InBib">
			</cfstoredproc>
		</cfif>
	</cfif>
</cfif>


<!--- Create form --->
<table class="maintable">
	<!--- Define columns--->
	<colgroup>
		<col width=25%>
		<col width=75%>		
	</colgroup>

	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<cfoutput>
			<td colspan=2><h2><b>Find or create a reference<b></h2></td>
		</cfoutput>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input Type="hidden" name="TheButton">
		

		<!--- Select Ref Category  --->
		<tr bgcolor="#eeeeee">
			<td width=160><b>Select category</b></td>
			<td width=440>
			<cfoutput>
				<select name="RefCat" onChange="ChangeCategoryAction(#url.Ref#, this)">
					<cfloop query="Categorys">
						<option value=#Categorys.RefCategoryId# <cfif Categorys.RefCategoryId eq #url.TempRefCat#>selected</cfif>>#Categorys.RefCategory#
					</cfloop>	
				</select>
			</cfoutput>
			</td>
		</tr>
		<!--- Select Preliminary Flag  --->
		<tr bgcolor="#eeeeee">
			<td width=160><b>Preliminary flag</b></td>
			<td width=440>
			<cfoutput>
				<select name="PreFlag">
					<option value="" <cfif session.PreFlag eq "">selected</cfif>>any
					<option value="1" <cfif session.PreFlag eq "1">selected</cfif>>on
					<option value="0" <cfif session.PreFlag eq "0">selected</cfif>>off
				</select>
			</cfoutput>
			</td>
		</tr>
		<!--- Select author --->
		<cfif (#url.TempRefCat# eq 1) or (#url.TempRefCat# eq 2)or (#url.TempRefCat# eq 3)>
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempRefCat# eq 1) >
				<td width=160><b>Article(authors)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 2) >
				<td width=160><b>Part(authors)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 3) >
				<td width=160><b>Book(authors)</b></td>
			</cfif>
			<td width = 440>
			<cfoutput>
				<select name="CitBPAuthor" onChange="ChangeBiblioAction(#URL.Ref#, #url.TempRefCat#)">
				<cfif session.CitBPAuthor neq "">
					<cfif isnumeric(session.CitBPAuthor)>
						<cfif Len(#BibAuthor.RefAuthorString#)lt 65>
							<option value=#BibAuthor.RefId#>#BibAuthor.RefAuthorString#
						<cfelse>
							<option value=#BibAuthor.RefId#>#BibAuthor.AuthorFirst65#...
						</cfif>
						<option value="">------------------------------------------ no selection ------------------------------------------
					<cfelse>
						<option value="#session.CitBPAuthor#">--------------------------------------- preselection: #session.CitBPAuthor# --------------------------------------
						<option value="">------------------------------------------ no selection ------------------------------------
						<cfloop query="RefAuthor">
							<cfif Len(#RefAuthor.RefAuthorString#)lt 65>
								<option value=#RefAuthor.RefId#>#RefAuthor.RefAuthorString#
							<cfelse>
								<option value=#RefAuthor.RefId#>#RefAuthor.First65#...
							</cfif>
						</cfloop>
					</cfif>
				<cfelse>
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfloop query="AuthorTeamsValues">
						<cfif len(#AuthorTeamsValues.FirstTwo#) gt 0>
							<option value="#AuthorTeamsValues.FirstTwo#">#AuthorTeamsValues.FirstTwo#&nbsp;...
						</cfif>
					</cfloop>	
				</cfif>
				</select>
			</cfoutput>
			</td>
		</tr>	

		<!--- Select authorsabbreviation --->
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempRefCat# eq 1) >
				<td width=160><b>Article(authorsabbrev)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 2) >
				<td width=160><b>Part(authorsabbrev)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 3) >
				<td width=160><b>Book(authorsabbrev)</b></td>
			</cfif>
			<td width = 440>
			<cfoutput>
				<select name="CitBPAuthorAbbr" onChange="ChangeBiblioAction(#URL.Ref#, #url.TempRefCat#)">
				<cfif session.CitBPAuthorAbbr neq "">
					<cfif isnumeric(session.CitBPAuthorAbbr)>
						<option value=#BibAuthorAbbrev.AuthorTeamId#>#BibAuthorAbbrev.AuthorTeamCache#
						<option value="">------------------------------------------ no selection ------------------------------------------
					<cfelse>
						<option value="#session.CitBPAuthorAbbr#">--------------------------------------- preselection: #session.CitBPAuthorAbbr# --------------------------------------
						<option value="">------------------------------------------ no selection ------------------------------------
						<cfloop query="RefAuthorAbbrev">
							<option value=#RefAuthorAbbrev.AuthorTeamId#>#RefAuthorAbbrev.AuthorTeamCache#
						</cfloop>
					</cfif>
				<cfelse>
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfloop query="AuthorTeamsAbbrevValues">
						<cfif len(#AuthorTeamsAbbrevValues.FirstTwo#) gt 0>
							<option value="#AuthorTeamsAbbrevValues.FirstTwo#">#AuthorTeamsAbbrevValues.FirstTwo#&nbsp;...
						</cfif>
					</cfloop>	
				</cfif>
				</select>
			</cfoutput>
			</td>
		</tr>	

		<!--- Select year --->
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempRefCat# eq 1) >
				<td width=160><b>Article(year)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 2) >
				<td width=160><b>Part(year)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 3) >
				<td width=160><b>Book(year)</b></td>
			</cfif>
			<td width = 440>
			<cfoutput>
				<select name="CitBPYear" onChange="ChangeBiblioAction(#URL.Ref#, #url.TempRefCat#)">
				<cfif session.CitBPYear neq "">
					<option value=#session.CitBPYear#>#session.CitBPYear#
				</cfif>
				<option value="">------------------------------------------ no selection ------------------------------------------
				<cfloop query="AllYearsValues">
					<option value="#AllYearsValues.RefYear#">#AllYearsValues.RefYear#
				</cfloop>	
				</select>
			</cfoutput>
			</td>
		</tr>	
		
		<!--- Title --->
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempRefCat# eq 1) >
				<td width=160><b>Article(title)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 2) >
				<td width=160><b>Part(title)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 3) >
				<td width=160><b>Book(title)</b></td>
			</cfif>
			<td width = 440>
			<cfoutput>
			<select name="CitBPTitle" onChange="ChangeBiblioAction(#URL.Ref#, #url.TempRefCat#)">
			<cfif session.CitBPTitle neq "">
				<cfif isnumeric(session.CitBPTitle)>		
					<cfif Len(#Bib.Title#)lt 40>	
						<option value=#Bib.RefId#>#Bib.Title##Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#	
					<cfelse>
						<option value=#Bib.RefId#>#Bib.First40#...#Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#
					</cfif>
						<option value="">------------------------------------------ no selection ------------------------------------------
				<cfelse>
					<option value="#session.CitBPTitle#">--------------------------------------- preselection: #session.CitBPTitle# --------------------------------------
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfloop query="Bib">	
						<cfif Len(#Bib.Title#)lt 40>				
							<option value=#Bib.RefId#>#Bib.First40##Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#&nbsp;#Bib.ThisYear#	
						<cfelse>
							<option value=#Bib.RefId#>#Bib.First40#...#Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#&nbsp;#Bib.ThisYear#	
						</cfif>
					</cfloop>
				</cfif>
			<cfelse>
				<option value="">------------------------------------------ no selection ------------------------------------------
				<cfloop query="TitleValues">
					<cfif len(#TitleValues.FirstTwo#) gt 0>
						<option value="#TitleValues.FirstTwo#">#TitleValues.FirstTwo#&nbsp;...
					</cfif>
				</cfloop>	
			</cfif>
			</select>
			</cfoutput>
			</td>
		</tr>
		
		<!--- PageString--->
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempRefCat# eq 1) >
			<td width=160><b>Page string</b></td>
			<td width = 440>
				<input type="text" name="ArPageString" size="20" value="<cfoutput>#session.ArPageString#</cfoutput>">
			</td>
			</cfif>
		</tr>
		
		<!--- BookTitleAbbrev--->
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempRefCat# eq 3) >
			<td width=160><b>Book(titleabbrev)</b></td>
			<td width = 440>
			<cfoutput>
			<select name="CitBPTitleAbbrev" onChange="ChangeBiblioAction(#URL.Ref#, #url.TempRefCat#)">
			<cfif session.CitBPTitleAbbrev neq "">
				<cfif isnumeric(session.CitBPTitleAbbrev)>		
					<option value=#BibAbbrev.RefId#>#BibAbbrev.NomTitleAbbrev##BibAbbrev.ThisEdition##BibAbbrev.ThisSeries##BibAbbrev.ThisVolume#	
					<option value="">------------------------------------------ no selection ------------------------------------------
				<cfelse>
					<option value="#session.CitBPTitleAbbrev#">--------------------------------------- preselection: #session.CitBPTitleAbbrev# --------------------------------------
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfloop query="BibAbbrev">	
						<cfif Len(#BibAbbrev.NomTitleAbbrev#)lt 40>				
							<option value=#BibAbbrev.RefId#>#BibAbbrev.First40##BibAbbrev.ThisEdition##BibAbbrev.ThisSeries##BibAbbrev.ThisVolume#&nbsp;#BibAbbrev.ThisYear#	
						<cfelse>
							<option value=#BibAbbrev.RefId#>#BibAbbrev.First40#...#BibAbbrev.ThisEdition##BibAbbrev.ThisSeries##BibAbbrev.ThisVolume#&nbsp;#BibAbbrev.ThisYear#	
						</cfif>
					</cfloop>
				</cfif>
			<cfelse>
				<option value="">------------------------------------------ no selection ------------------------------------------
				<cfloop query="TitleAbbrevValues">
					<cfif len(#TitleAbbrevValues.FirstTwo#) gt 0>
						<option value="#TitleAbbrevValues.FirstTwo#">#TitleAbbrevValues.FirstTwo#&nbsp;...
					</cfif>
				</cfloop>	
			</cfif>
			</select>
			</cfoutput>
			</td>
			</cfif>
		</tr>
		
	</cfif>

	<cfif ((#url.TempRefCat# eq 1)or (#url.TempRefCat# eq 2))> 
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempRefCat# eq 1)>
				<td width=160><b>In(Periodical)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 2)>
				<td width=160><b>Part of(other title)</b></td>
			</cfif>
			<td width = 440>
				<cfoutput>
				<select name="CitInTitle" onChange="ChangeBiblioAction(#URL.Ref#, #url.TempRefCat#)">
				<cfif session.CitInTitle neq "">
					<cfif isnumeric(session.CitInTitle)>
						<cfif Len(#InBib.RefCache#)lt 60>
							<option value=#InBib.RefId#>#InBib.RefCache#
						<cfelse>
							<option value=#InBib.RefId#>#InBib.First60#...
						</cfif>
						<option value="">------------------------------------------ no selection ------------------------------------------
					<cfelse>
						<option value="#session.CitInTitle#">--------------------------------------- preselection: #session.CitInTitle# --------------------------------------
						<option value="">------------------------------------------ no selection ------------------------------------------
							<cfloop query="InBib">
							<cfif Len(#InBib.Title#)lt 60>
								<option value=#InBib.RefId#>#InBib.Title#
							<cfelse>
								<option value=#InBib.RefId#>#InBib.First60#...
							</cfif>
							</cfloop>	
					</cfif>
				<cfelse>
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfloop query="InBibValues">
						<cfif len(#InBibValues.FirstTwo#) gt 0>
							<option value=#InBibValues.FirstTwo#>#InBibValues.FirstTwo#&nbsp;...
						</cfif>
					</cfloop>		
				</cfif>
				</select>
				</cfoutput>
			</td>
		</tr>
	</cfif>
		<cfif (#url.TempRefCat# eq 4)or(#url.TempRefCat# eq 5) or (#url.TempRefCat# eq 7)
			or(#url.TempRefCat# eq 8)or(#url.TempRefCat# eq 9) or (#url.TempRefCat# eq 10)>
			<!--- Select refCache --->
		<tr bgcolor="#eeeeee">
			<cfif (#url.TempRefCat# eq 9)>
				<td width=160><b>Journal</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 4)>
				<td width=160><b>Database</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 5)>
				<td width=160><b>Informal reference</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 10)>
				<td width=160><b>Unresolved</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 7)>
				<td width=160><b>Website</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 8)>
				<td width=160><b>Published CD</b></td>
			</cfif>
			<td width = 440>
			<cfoutput>
				<select name="CitBPTitle" onChange="ChangeBiblioAction(#URL.Ref#, #url.TempRefCat#)">
				<cfif session.CitBPTitle neq "">
					<cfif isnumeric(session.CitBPTitle)>
						<cfif Len(#Bib.RefCache#)lt 55>
							<option value=#Bib.RefId#>#Bib.RefCache#
						<cfelse>
							<option value=#Bib.RefId#>#Bib.RefCacheFirst55#...
						</cfif>
				
						<option value="">------------------------------------------ no selection ------------------------------------------
					<cfelse>
						<option value="#session.CitBPTitle#">------------------------------------------ preselection: #session.CitBPTitle# ------------------------------------------
						<option value="">------------------------------------------ no selection ------------------------------------------
						<cfloop query="Bib">
							<cfif Len(#Bib.RefCache#)lt 55>
							<option value=#Bib.RefId#>#Bib.RefCache#
						<cfelse>
							<option value=#Bib.RefId#>#Bib.RefCacheFirst55#...
						</cfif>
						</cfloop>
					</cfif>
				<cfelse>
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfloop query="BibValues">
						<option value=#BibValues.FirstTwo#>#BibValues.FirstTwo#&nbsp;...
					</cfloop>
				</cfif>
				</select>
			</cfoutput>
			</td>
		</tr>	
		</cfif>

		<!--- IdInSource--->
		<cfif (#url.TempRefCat# neq 9) >
			<tr bgcolor="#eeeeee">
				<td width=160><b>Source number</b></td>
				<td width = 440>
					<input type="text" name="IdInSource" size="20" value="<cfoutput>#session.IdInSource#</cfoutput>">
				</td>
			</tr>
		</cfif>

		<cfif (#url.TempRefCat# eq 9) >
			<tr bgcolor="#eeeeee">
				<td><a href="javascript: ButtonAction('NewPeriodical')" class="addlink">New journal</a></td>
				<td>&nbsp;</td>	
			</tr>
		</cfif>
		<cfif (#url.TempRefCat# eq 4) >
			<tr bgcolor="#eeeeee">
				<td><a href="javascript: ButtonAction('NewDatabase')" class="addlink">New database</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		<cfif (#url.TempRefCat# eq 5) >
			<tr bgcolor="#eeeeee">
				
              <td><a href="javascript: ButtonAction('NewInformal')" class="addlink">New 
                informal reference</a></td>
              <td>&nbsp;</td>
			</tr>
		</cfif>
		<cfif (#url.TempRefCat# eq 10) >
			<tr bgcolor="#eeeeee">
				
              <td><a href="javascript: ButtonAction('NewUnresolved')" class="addlink">New 
                Unresolved</a></td>
              <td>&nbsp;</td>
			</tr>
		</cfif>
		<cfif (#url.TempRefCat# eq 7) >
			<tr bgcolor="#eeeeee">
				
              <td><a href="javascript: ButtonAction('NewWebsite')" class="addlink">New 
                website</a></td>
              <td>&nbsp;</td>
			</tr>
			</cfif>
		<cfif (#url.TempRefCat# eq 8) >
			<tr bgcolor="#eeeeee">
				
              <td><a href="javascript: ButtonAction('NewPublishedCD')" class="addlink">New 
                published CD</a></td>
              <td>&nbsp;</td>
			</tr>
		</cfif>
		<cfif (#url.TempRefCat# eq 3)>
		<!--- New book--->
			<tr bgcolor="#eeeeee">
				<td><a href="javascript: ButtonAction('NewBook')" class="addlink">New book</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		
		<cfif (#url.TempRefCat# eq 1) >
		<!--- New article in periodical--->
			<tr bgcolor="#eeeeee">
				<td><a href="javascript: ButtonAction('NewArticleOfJournal')" class="addlink">New article in periodical</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		
		<cfif (#url.TempRefCat# eq 2) >
		<!--- New part of other title--->
			<tr bgcolor="#eeeeee">
				<td><a href="javascript: ButtonAction('NewPartOfTitle')" class="addlink">New part of other title</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="2">
				<input type="button" name="Find" value="Find" onClick="ButtonAction('Find')">
				<input type="button" name="FindSource" value="Find only with source number" onClick="ButtonAction('FindSource')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">