<!--- Add or Edit author	--->
<!--- M.Geoffroy	--->
<!--- Created: 6/2005		--->
<!--- Last update:     --->
<!--- Updated by:		--->



<cfinclude template="../../template_up.cfm">
	
  	<script language="JavaScript">

		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}	
	</script>
 
<!--- Database Interface: Retrieve data to populate form --->
<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Author#>
	<cfprocresult name=Author>
</cfstoredproc>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfif form.Abbrev eq "" and form.FirstName eq "" and form.LastName eq "" and form.Dates eq "" and form.AreaOfInterest eq "" and form.AuthorNotes eq "">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Ref=#URL.Ref#&Author=#URL.Author#" addtoken="no">
		<cfelse>
			<cfif #URL.Author# eq -1>
				<cfstoredproc procedure="s_web_AddAuthor" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.Abbrev#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.FirstName#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.LastName#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.Dates#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AreaOfInterest#>
					<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.Ref#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AuthorNotes#>
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#session.UserName#>
				</cfstoredproc>
			<cfelse>
				<cfstoredproc procedure="s_web_UpdateAuthor" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.Author#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.Abbrev#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.FirstName#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.LastName#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.Dates#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AreaOfInterest#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AuthorNotes#>
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#session.UserName#>
				</cfstoredproc>
			</cfif>
			<!--- ... and jump back to the calling template --->
			<cflocation addtoken="no" url="#session.BackFromAddOrEditAuthor#">
		</cfif>
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfset session.Abbrev = form.Abbrev>
		<cfset session.FirstName = form.FirstName>
		<cfset session.LastName = form.LastName>
		<cfset session.Dates = form.Dates>
		<cfset session.AreaOfInterest = form.AreaOfInterest>
		<cfset session.AuthorNotes = form.AuthorNotes>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Delete" was pressed --->
		<cfif form.TheButton eq "Delete">
			<cftry>
				<cfstoredproc procedure="s_board_DeleteAuthor" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Author#>
				</cfstoredproc>
				<cflocation addtoken="no" url="#session.BackFromAddOrEditAuthor#">
				<cfcatch type = "database">
					<script language=javascript>
						<cfoutput>
							window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=5137','mywindow','width=400,height=150,scrollbars=yes')
						</cfoutput>
					</script>
				</cfcatch>
			</cftry>
		<!--- "Cancel" was pressed --->
		<cfelseif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromAddOrEditAuthor#">
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.Abbrev" default="">
<cfparam name="session.FirstName" default="">
<cfparam name="session.LastName" default="">
<cfparam name="session.Dates" default="">
<cfparam name="session.AreaOfInterest" default="">
<cfparam name="session.AuthorNotes" default="">
<cfparam name="session.BackFromAddOrEditAuthor" default="">
		
<!--- Was this template called with get method from author (team) forms? --->
<cfif (cgi.request_method is "get") and 
	(session.CallingPage eq "AddOrSelectAuthor" OR session.CallingPage eq "AddOrEditAuthorTeam" OR session.CallingPage eq "SearchAuthor")>
	<cfset session.Abbrev = Author.Abbrev>
	<cfset session.FirstName = Author.FirstName>
	<cfset session.LastName = Author.LastName>
	<cfset session.Dates = Author.Dates>
	<cfset session.AreaOfInterest = Author.AreaOfInterest>
	<cfset session.AuthorNotes = Author.Notes>
	<cfset session.BackFromAddOrEditAuthor = cgi.http_referer>
</cfif>


<!--- Create form --->
<table class="maintable">
	<!--- Define columns--->
	<colgroup>
		<col width=140>
		<col width=460>		
	</colgroup>
	
	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<td colspan="2">
			<cfif #URL.Author# eq -1>
				<h2><b>Create a new author</b></h2>
			<cfelse>
				<h2><b>Edit author</b>
					<i><cfoutput>#Author.FirstName# #Author.LastName#</cfoutput></i><br>
				</h2>
			</cfif>
		</td>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		
		<!--- Data entry --->
		
		<!--- Abbreviation --->
		<tr bgcolor="#eeeeee">
			<td><b>Abbreviation</b></td>
			<td>
				<input type="text" name="Abbrev" size="20" value="<cfoutput>#session.Abbrev#</cfoutput>">
			</td>
		</tr>
		<!--- First name --->
		<tr bgcolor="#eeeeee">
			<td><b>First name</b></td>
			<td>
				<input type="text" name="FirstName" size="50" value="<cfoutput>#session.FirstName#</cfoutput>">
			</td>
		</tr>
		<!--- Last name --->
		<tr bgcolor="#eeeeee">
			<td><b>Last name</b></td>
			<td>
				<input type="text" name="LastName" size="50" value="<cfoutput>#session.LastName#</cfoutput>">
			</td>
		</tr>
		<!--- Dates --->
		<tr bgcolor="#eeeeee">
			<td><b>Dates string</b></td>
			<td>
				<input type="text" name="Dates" size="50" value="<cfoutput>#session.Dates#</cfoutput>">
			</td>
		</tr>
		<!--- AreaOfInterest --->
		<tr bgcolor="#eeeeee">
			<td><b>Area of interest</b></td>
			<td>
				<input type="text" name="AreaOfInterest" size="50" value="<cfoutput>#session.AreaOfInterest#</cfoutput>">
			</td>
		</tr>
		<!--- Notes --->
		<tr bgcolor="#eeeeee">
			<td>
				<b>Notes</b>
			</td><td>	
				<textarea cols="50" rows="3" name="AuthorNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.AuthorNotes#</cfoutput></textarea>
			</td>
		</tr>
		
		<!--- Apply, Delete, Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="2">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<cfif #URL.Author# neq -1>
					<input type="button" name="Delete" value="Delete" onClick="ButtonAction('Delete')"> 					
				</cfif>
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">

