<!--- Add or Edit author team		--->
<!--- M.Geoffroy	--->
<!--- Created: 6/2005		--->
<!--- Last update:     --->
<!--- Updated by:		--->

<!---
Edit an author team by either selecting a number of already existing authors or
filling in the free text field for rapid data entry. In this case, the AuthorTeamCache
field in the database is used to capture the information until someone creates a structured
record for this authorteam. A check button is used to create an external Java object for
checking the free text author string syntactically and whether a user does both selecting 
authors and filling in the free text. Therefore, the Java class fcan be developed independently.
--->

<cfinclude template="../../template_up.cfm">
	
  	<script language="JavaScript">

		<!--- Call this page once more if user user changes an author --->
		function ChangeAuthorAction(Ref, AuthorTeam) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?Ref=' + Ref + '&AuthorTeam=' + AuthorTeam;
			document.EM.submit();
		}
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}	
	</script>
 
<!--- Database Interface: Retrieve data to populate form --->
<cfstoredproc procedure="s_web_OneAuthorTeam" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.AuthorTeam#>
	<cfprocresult name=AuthorTeam>
</cfstoredproc>
<cfstoredproc procedure="s_web_GetAuthors" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.AuthorTeam#>
	<cfprocresult name=Authors>
</cfstoredproc>

<cfset AuthorFk1 = "">
<cfset AuthorFk2 = "">
<cfset AuthorFk3 = "">
<cfset AuthorFk4 = "">
<cfset AuthorFk5 = "">
<cfloop query = Authors>
	<cfif Authors.Sequence eq 1>
		<cfset AuthorFk1 = Authors.AuthorFk>
	<cfelseif Authors.Sequence eq 2>
		<cfset AuthorFk2 = Authors.AuthorFk>
	<cfelseif Authors.Sequence eq 3>
		<cfset AuthorFk3 = Authors.AuthorFk>
	<cfelseif Authors.Sequence eq 4>
		<cfset AuthorFk4 = Authors.AuthorFk>
	<cfelseif Authors.Sequence eq 5>
		<cfset AuthorFk5 = Authors.AuthorFk>
	</cfif>
</cfloop>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- Check that either unstructured or structured data are present --->
 	<cfif form.AuthorTeamCache neq "" AND len(form.Author1&form.Author2&form.Author3&form.Author4&form.Author5) gt 0> 
		<!--- Open message window --->
		<script language=javascript>
			<cfoutput>
				window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=49','mywindow','width=400,height=300,scrollbars=yes')
			</cfoutput>
		</script>
	</cfif>
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfif form.AuthorTeamCache neq "">
			<cfif #URL.AuthorTeam# eq -1>
				<cfstoredproc procedure="s_web_AddAuthorTeamCache" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.Ref#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AuthorTeamCache#>
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#form.AuthorTeamNotes#>
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#session.UserName#>
				</cfstoredproc>
			<cfelse>
				<cfstoredproc procedure="s_web_UpdateAuthorTeamCache" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.AuthorTeam#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AuthorTeamCache#>
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#form.AuthorTeamNotes#>
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#session.UserName#>
				</cfstoredproc>
			</cfif>
		<cfelse>
			<cfset AuthorIdLst = "">
			<cfif isnumeric(form.Author1)>
				<cfset AuthorIdLst = form.Author1>
			</cfif>
			<cfif isnumeric(form.Author2)>
				<cfif AuthorIdLst neq "">
					<cfset AuthorIdLst = AuthorIdLst & "|"> 
				</cfif>
				<cfset AuthorIdLst = AuthorIdLst & form.Author2>
			</cfif>
			<cfif isnumeric(form.Author3)>
				<cfif AuthorIdLst neq "">
					<cfset AuthorIdLst = AuthorIdLst & "|"> 
				</cfif>
				<cfset AuthorIdLst = AuthorIdLst & form.Author3>
			</cfif>
			<cfif isnumeric(form.Author4)>
				<cfif AuthorIdLst neq "">
					<cfset AuthorIdLst = AuthorIdLst & "|"> 
				</cfif>
				<cfset AuthorIdLst = AuthorIdLst & form.Author4>
			</cfif>
			<cfif isnumeric(form.Author5)>
				<cfif AuthorIdLst neq "">
					<cfset AuthorIdLst = AuthorIdLst & "|"> 
				</cfif>
				<cfset AuthorIdLst = AuthorIdLst & form.Author5>
			</cfif>
			<cfif #URL.AuthorTeam# eq -1>
				<cfstoredproc procedure="s_web_AddAuthorTeam" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.Ref#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#AuthorIdLst#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AuthorTeamNotes#>
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#session.UserName#>
				</cfstoredproc>
			<cfelse>
				<cfstoredproc procedure="s_web_UpdateAuthorTeam" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.AuthorTeam#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#AuthorIdLst#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AuthorTeamNotes#>
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#session.UserName#>
				</cfstoredproc>
			</cfif>
		</cfif>
		<!--- ... and jump back to the calling template --->
		<cflocation addtoken="no" url="#session.BackFromEditAuthorTeam#">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfset session.AuthorTeamCache = form.AuthorTeamCache>
		<cfset session.Author1 = form.Author1>
		<cfset session.Author2 = form.Author2>
		<cfset session.Author3 = form.Author3>
		<cfset session.Author4 = form.Author4>
		<cfset session.Author5 = form.Author5>
		<cfset session.AuthorTeamNotes = form.AuthorTeamNotes>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Delete" was pressed --->
		<cfif form.TheButton eq "Delete">
			<cftry>
				<cfstoredproc procedure="s_board_DeleteAuthorTeam" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.AuthorTeam#>
				</cfstoredproc>
				<cflocation addtoken="no" url="#session.BackFromEditAuthorTeam#">
				<cfcatch type = "database">
					<script language=javascript>
						<cfoutput>
							window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=5137','mywindow','width=400,height=150,scrollbars=yes')
						</cfoutput>
					</script>
				</cfcatch>
			</cftry>
		<!--- "Cancel" was pressed --->
		<cfelseif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromEditAuthorTeam#">
		<!--- Syntax check button was pressed --->
		<cfelseif form.TheButton eq "Check">
			<!--- Create Java object AuthorString and call the method CheckAuthorString() --->
			<cfobject type = "JAVA" action = "Create" name="MyAuthorString" class="AuthorString">
			<cfset MyAuthorString.init(form.AuthorTeamCache, form.Author1&form.Author2&form.Author3&form.Author4&form.Author5)>
			<cfset NameRet = MyAuthorString.CheckAuthorString()>
			<cfif len(NameRet) eq 0> <!--- no syntax errors found --->
				<cfset NameRetURLEnc = '9999'>
			<cfelse>
				<cfset NameRetURLEnc = urlencodedformat(NameRet)>
			</cfif>
			<!--- Open message window --->
			<script language=javascript>
				<cfoutput>
					window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=#NameRetURLEnc#','mywindow','width=400,height=300,scrollbars=yes')
				</cfoutput>
			</script>
		<!--- New author button was pressed --->
		<cfelseif form.TheButton eq "NewAuthor">
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Ref=#URL.Ref#&Author=-1" addtoken="no">
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.AuthorTeamCache" default="">
<cfparam name="session.Author1" default="">
<cfparam name="session.Author2" default="">
<cfparam name="session.Author3" default="">
<cfparam name="session.Author4" default="">
<cfparam name="session.Author5" default="">
<cfparam name="session.AuthorTeamNotes" default="">
<cfparam name="session.BackFromEditAuthorTeam" default="">
		
<!--- Was this template called with get method from one of the name entry forms? --->
<cfif (cgi.request_method is "get") and ((session.CallingPage eq "AddOrSelectAuthorTeam") or (session.CallingPage eq "SearchAuthorTeam")
	or (session.CallingPage eq "AddOrEditName"))>
	<cfif AuthorTeam.Recordcount gt 0>
		<cfif AuthorTeam.PreliminaryFlag or Authors.Recordcount eq 0>
			<cfset session.AuthorTeamCache = AuthorTeam.AuthorTeamCache>
		<cfelse>
			<cfset session.AuthorTeamCache = "">
		</cfif>
	<cfelse>
		<cfset session.AuthorTeamCache = "">
	</cfif>
	
	<cfif AuthorFk1 neq  "">
		<cfset session.Author1 = AuthorFk1>	
	<cfelse>
		<cfset session.Author1 = "">
	</cfif>
	<cfif AuthorFk2 neq  "">
		<cfset session.Author2 = AuthorFk2>	
	<cfelse>
		<cfset session.Author2 = "">
	</cfif>
	<cfif AuthorFk3 neq  "">
		<cfset session.Author3 = AuthorFk3>	
	<cfelse>
		<cfset session.Author3 = "">
	</cfif>
	<cfif AuthorFk4 neq  "">
		<cfset session.Author4 = AuthorFk4>	
	<cfelse>
		<cfset session.Author4 = "">
	</cfif>
	<cfif AuthorFk5 neq  "">
		<cfset session.Author5 = AuthorFk5>	
	<cfelse>
		<cfset session.Author5 = "">
	</cfif>
	<cfset session.AuthorTeamNotes = AuthorTeam.Notes>
	<cfset session.BackFromEditAuthorTeam = cgi.http_referer>
</cfif>

<!--- Database interface --->
<!--- Retrieve information to populate pulldown menus for authors --->
<cfif (#session.Author1# eq "") or (#session.Author2# eq "") or (#session.Author3# eq "") or (#session.Author4# eq "") or (#session.Author5# eq "")>
	<cfstoredproc procedure="s_web_DiscoverValues" datasource="#session.DSName#">
		<cfprocparam type="in" cfsqltype=cf_sql_varchar value="Author">
		<cfprocparam type="in" cfsqltype=cf_sql_varchar value="Abbrev">
		<cfprocresult name=AuthorValues>
	</cfstoredproc>
</cfif>
<cfif session.Author1 neq "">
	<cfif isnumeric(session.Author1)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author1#>
			<cfprocresult name=ResultAuthor1>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author1#>
			<cfprocresult name=ResultAuthor1>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.Author2 neq "">
	<cfif isnumeric(session.Author2)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author2#>
			<cfprocresult name=ResultAuthor2>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author2#>
			<cfprocresult name=ResultAuthor2>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.Author3 neq "">
	<cfif isnumeric(session.Author3)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author3#>
			<cfprocresult name=ResultAuthor3>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author3#>
			<cfprocresult name=ResultAuthor3>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.Author4 neq "">
	<cfif isnumeric(session.Author4)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author4#>
			<cfprocresult name=ResultAuthor4>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author4#>
			<cfprocresult name=ResultAuthor4>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.Author5 neq "">
	<cfif isnumeric(session.Author5)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author5#>
			<cfprocresult name=ResultAuthor5>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author5#>
			<cfprocresult name=ResultAuthor5>
		</cfstoredproc>
	</cfif>
</cfif>

<!--- Create form --->
<table class="maintable">
	<!--- Define columns--->
	<colgroup>
		<col width=25%>
		<col width=72%>		
		<col width=3%>		
	</colgroup>
	
	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<td colspan="3">
			<cfif #URL.AuthorTeam# eq -1>
				<h2><b>Create a new author team</b></h2>
			<cfelse>
				<h2><b>Edit author team</b>
					<i><cfoutput>#AuthorTeam.AuthorTeamCache#</cfoutput></i><br>
				</h2>
			</cfif>
		</td>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		
		<!--- Rapid data entry field --->
		<tr bgcolor ="#eeeeee">
			<td colspan="3">
				<b>Either ... <i>rapid data entry</i></b><br>
				<input type="text" name="AuthorTeamCache" size="80" value="<cfoutput>#session.AuthorTeamCache#</cfoutput>">
				
			</td>
		</tr>
		<!--- Structured data entry (a sequence of five authors) --->
		<tr bgcolor ="#eeeeee"><td colspan="3"><b>or ... <i>structured data entry</i></b></td></tr>
		<tr bgcolor="#eeeeee">
			<td><b>1st author</b></td>
			<td>
				<cfoutput>
				<select name="Author1" onChange="ChangeAuthorAction(#url.Ref#, #url.AuthorTeam#)">
					<cfif session.Author1 neq "">
						<cfif isnumeric(session.Author1)>
							<option value=#ResultAuthor1.AuthorId#>#ResultAuthor1.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author1#">----------------- preselection: #session.Author1# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor1">
								<option value=#ResultAuthor1.AuthorId#>#ResultAuthor1.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
			</td>
			<td>
				<cfif session.Author1 neq "" AND isnumeric(session.Author1)>
					<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Ref=#url.Ref#&Author=#session.Author1#"><img src="../../images/edit.gif" border="0" alt="Edit"></a>
				</cfif>
				</cfoutput>
			</td>
		</tr>
		<tr bgcolor="#eeeeee">
			<td><b>2nd author</b></td>
			<td>
				<cfoutput>
				<select name="Author2" onChange="ChangeAuthorAction(#url.Ref#, #url.AuthorTeam#)">
					<cfif session.Author2 neq "">
						<cfif isnumeric(session.Author2)>
							<option value=#ResultAuthor2.AuthorId#>#ResultAuthor2.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author2#">----------------- preselection: #session.Author2# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor2">
								<option value=#ResultAuthor2.AuthorId#>#ResultAuthor2.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
			</td>
			<td>
				<cfif session.Author2 neq "" AND isnumeric(session.Author2)>
					<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Ref=#url.Ref#&Author=#session.Author2#"><img src="../../images/edit.gif" border="0" alt="Edit"></a>
				</cfif>
				</cfoutput>
			</td>
		</tr>
		<tr bgcolor="#eeeeee">
			<td><b>3rd author</b></td>
			<td>
				<cfoutput>
				<select name="Author3" onChange="ChangeAuthorAction(#url.Ref#, #url.AuthorTeam#)">
					<cfif session.Author3 neq "">
						<cfif isnumeric(session.Author3)>
							<option value=#ResultAuthor3.AuthorId#>#ResultAuthor3.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author3#">----------------- preselection: #session.Author3# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor3">
								<option value=#ResultAuthor3.AuthorId#>#ResultAuthor3.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
			</td>
			<td>
				<cfif session.Author3 neq "" AND isnumeric(session.Author3)>
					<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Ref=#url.Ref#&Author=#session.Author3#"><img src="../../images/edit.gif" border="0" alt="Edit"></a>
				</cfif>
				</cfoutput>
			</td>
		</tr>
		<tr bgcolor="#eeeeee">
			<td><b>4th author</b></td>
			<td>
				<cfoutput>
				<select name="Author4" onChange="ChangeAuthorAction(#url.Ref#, #url.AuthorTeam#)">
					<cfif session.Author4 neq "">
						<cfif isnumeric(session.Author4)>
							<option value=#ResultAuthor4.AuthorId#>#ResultAuthor4.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author4#">----------------- preselection: #session.Author4# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor4">
								<option value=#ResultAuthor4.AuthorId#>#ResultAuthor4.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
			</td>
			<td>
				<cfif session.Author4 neq "" AND isnumeric(session.Author4)>
					<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Ref=#url.Ref#&Author=#session.Author4#"><img src="../../images/edit.gif" border="0" alt="Edit"></a>
				</cfif>
				</cfoutput>
			</td>
		</tr>
		<tr bgcolor="#eeeeee">
			<td><b>5th author</b></td>
			<td>
				<cfoutput>
				<select name="Author5" onChange="ChangeAuthorAction(#url.Ref#, #url.AuthorTeam#)">
					<cfif session.Author5 neq "">
						<cfif isnumeric(session.Author5)>
							<option value=#ResultAuthor5.AuthorId#>#ResultAuthor5.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author5#">----------------- preselection: #session.Author5# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor5">
								<option value=#ResultAuthor5.AuthorId#>#ResultAuthor5.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
			</td>
			<td>
				<cfif session.Author5 neq "" AND isnumeric(session.Author5)>
					<a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Ref=#url.Ref#&Author=#session.Author5#"><img src="../../images/edit.gif" border="0" alt="Edit"></a>
				</cfif>
				</cfoutput>
			</td>
		</tr>
		<!--- New author button --->
		<tr bgcolor="#eeeeee">
			<td><a href="javascript: ButtonAction('NewAuthor')" class="addlink">New Author</a></td>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
		</tr>
		
		<!--- Notes --->
		<tr bgcolor="#eeeeee">
			<td>
				<b>Notes</b>
			</td><td>	
				<textarea cols="50" rows="3" name="AuthorTeamNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.AuthorTeamNotes#</cfoutput></textarea>
			</td>
			<td>&nbsp;</td>
		</tr>
		
		<!--- Apply, Delete, Cancel buttons --->
		<cfset Right = FindNoCase(".cfm",session.BackFromEditAuthorTeam) - 1>
		<cfset i = Right>
		<cfloop condition = "(i gt 0) and (mid(session.BackFromEditAuthorTeam, i, 1) neq '/')">
		  <cfset i = i - 1>
		</cfloop>
		<cfset CallingPage = #mid(session.BackFromEditAuthorTeam, i + 1, Right - i)#>
		
		<tr bgcolor ="#eeeeae">
			<td colspan="3">
				<input type="button" name="Check" value="Check" onclick="ButtonAction('Check')">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<cfif #URL.AuthorTeam# neq -1 and CallingPage neq "AddOrEditName">
					<input type="button" name="Delete" value="Delete" onClick="ButtonAction('Delete')"> 					
				</cfif>
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">

