<!--- Add new article or edit existing one	--->
<!--- M. Geoffroy			    --->
<!--- Created: 4/2005				    --->

<cfinclude template="../../template_up.cfm">
	
  	<script language="JavaScript">
		
		<!--- Call this page once more if user selects a biblio entry --->
		function ChangeBiblioAction(RefId, Ref, TempRefCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Extensions/EditorialBoard/AddOrEditBibArticleOfJournal.cfm?RefId=' + RefId + '&Ref=' + Ref + '&TempRefCat=' + TempRefCat;
			document.EM.submit();
		}	
	
		<!--- Call this page once more if user selects author teams --->
		function ChangeAuthorAction(RefId, Ref, TempRefCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Extensions/EditorialBoard/AddOrEditBibArticleOfJournal.cfm?RefId=' + RefId + '&ref=' + Ref + '&TempRefCat=' + TempRefCat;
			document.EM.submit();
		}

		<!--- Set hidden preliminary flag field --->
		function SetHiddenNoPreliminary() {
			if (document.EM.PreliminaryFlag.checked) {
				document.EM.HiddenNoPreliminary.value = 'on';
			} else {
				document.EM.HiddenNoPreliminary.value = 'off';
			}
		}
	
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>

<!--- Database interface --->
<cfif #URL.RefId# neq -1>
	<cfstoredproc procedure="s_board_OneReference" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer"  value=#URL.RefId#>
		<cfprocresult name=OneReference>
	</cfstoredproc>
</cfif>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<cfif (isnumeric(form.ArCitTitle) and (isnumeric(form.ArNomAuthorAbbrev) or form.ArAuthors neq ""))>
			<cfstoredproc procedure="s_board_AddInBib" datasource=#session.DSName#>		
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefId" value=#URL.RefId#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefCategoryFk" value=#url.TempRefCat#>
				<!--- Submit PreliminaryFlag --->
				<cfif isdefined("form.PreliminaryFlag") or #session.IsPreliminary# eq "no">
					<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@PreliminaryFlag" value=0>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@PreliminaryFlag" value=1>  
				</cfif>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@InRefFk" value=#form.ArCitTitle#>
				<cfif Len(form.ArTitle) is not 0>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Title" value=#form.ArTitle#>
				<cfelse>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Title" null="yes">
				</cfif>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Edition" null="yes">
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Series" value=#form.ArSeries#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefAuthorString" value=#form.ArAuthors#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefYear" value=#form.ArRefYear#>	
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Volume" value=#form.ArVolume#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@PageString" value=#form.ArPageString#>	
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@URL" value=#form.ArURL#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@ExportDate" null="yes">
		
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@ThesisFlag" value=0>  

				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefDepositedAt" value=#form.ArRefDepositedAt#>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@IsPaper" value=0> 
				<cfif Len(form.ArNomAuthorAbbrev) is not 0 and isnumeric(form.ArNomAuthorAbbrev)>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NomAuthorAbbrev" value=#form.ArNomAuthorAbbrev#>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NomAuthorAbbrev" null="yes">
				</cfif>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Notes" value=#form.ArNotes#>	
				<cfprocparam type="IN" cfsqltype=cf_sql_varchar dbvarname="@IdInSource" value=#form.ArIdInSource#>		
				<cfprocparam type="IN" cfsqltype=cf_sql_varchar dbvarname="@UserName" value=#session.UserName#>	
			</cfstoredproc>
			<!--- ... and jump back to the calling template --->
			<cflocation addtoken="no" url="#session.BackFromNewBibArticleOfJournal#">
		<cfelse>
			<!--- Open message window --->
			<script language=javascript>
				window.open('<cfoutput>#application.EditorHome#</cfoutput>messages/NewRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
			</script>
			<!--- Save form field data into session variables ... --->
			<cfif isdefined("form.HiddenNoPreliminary")>
				<cfset session.HiddenNoPreliminary = form.HiddenNoPreliminary>
			</cfif>	
			<cfif isdefined("form.ArCitTitle")>
				<cfset session.ArCitTitle = form.ArCitTitle>
			</cfif>
			<cfif isdefined("form.ArTitle")>
				<cfset session.ArTitle = form.ArTitle>
			</cfif>
			<cfif isdefined("form.ArSeries")>
				<cfset session.ArSeries = form.ArSeries>
			</cfif>
			<cfif isdefined("form.ArAuthors")>
				<cfset session.ArAuthors = form.ArAuthors>
			</cfif>
			<cfif isdefined("form.ArNomAuthorAbbrev")>
				<cfset session.ArNomAuthorAbbrev = form.ArNomAuthorAbbrev>
			</cfif>
			<cfif isdefined("form.ArRefYear")>
				<cfset session.ArRefYear = form.ArRefYear>
			</cfif>
			<cfif isdefined("form.ArVolume")>
				<cfset session.ArVolume = form.ArVolume>
			</cfif>
			<cfif isdefined("form.ArPageString")>
				<cfset session.ArPageString = form.ArPageString>
			</cfif>
			<cfif isdefined("form.ArURL")>
				<cfset session.ArURL = form.ArURL>
			</cfif>
			<cfif isdefined("form.ArRefDepositedAt")>
				<cfset session.ArRefDepositedAt = form.ArRefDepositedAt>
			</cfif>
			<cfset session.ArNotes = form.ArNotes>
			<cfif isdefined("form.ArIdInSource")>
				<cfset session.ArIdInSource = form.ArIdInSource>
			</cfif>
		</cfif>
	<!--- ... and do something useful depending on the button which was pressed --->
	<!--- "New journal" was pressed or journal was searched for --->
	<cfelseif ((session.CallingPage eq "AddOrEditBibArticleOfJournal") and (form.TheButton neq "Delete") and (form.TheButton neq "Cancel"))>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.HiddenNoPreliminary")>
			<cfset session.HiddenNoPreliminary = form.HiddenNoPreliminary>
		</cfif>	
		<cfif isdefined("form.ArCitTitle")>
			<cfset session.ArCitTitle = form.ArCitTitle>
		</cfif>
		<cfif isdefined("form.ArTitle")>
			<cfset session.ArTitle = form.ArTitle>
		</cfif>
		<cfif isdefined("form.ArSeries")>
			<cfset session.ArSeries = form.ArSeries>
		</cfif>
		<cfif isdefined("form.ArAuthors")>
			<cfset session.ArAuthors = form.ArAuthors>
		</cfif>
		<cfif isdefined("form.ArNomAuthorAbbrev")>
			<cfset session.ArNomAuthorAbbrev = form.ArNomAuthorAbbrev>
		</cfif>
		<cfif isdefined("form.ArRefYear")>
			<cfset session.ArRefYear = form.ArRefYear>
		</cfif>
		<cfif isdefined("form.ArVolume")>
			<cfset session.ArVolume = form.ArVolume>
		</cfif>
		<cfif isdefined("form.ArPageString")>
			<cfset session.ArPageString = form.ArPageString>
		</cfif>
		<cfif isdefined("form.ArURL")>
			<cfset session.ArURL = form.ArURL>
		</cfif>
		<cfif isdefined("form.ArRefDepositedAt")>
			<cfset session.ArRefDepositedAt = form.ArRefDepositedAt>
		</cfif>	
		<cfset session.ArNotes = form.ArNotes>
		<cfif isdefined("form.ArIdInSource")>
			<cfset session.ArIdInSource = form.ArIdInSource>
		</cfif>
		<!--- New Author Team was pressed --->
		<cfif (form.TheButton eq "NewAuthorTeam")>
			<cflocation url="#application.EditorHome#Authors/NewAuthorTeam.cfm?Ref=#URL.Ref#" addtoken="no">
		<!--- New Periodical was pressed --->
		<cfelseif (form.TheButton eq "NewPeriodical")>
			<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditPeriodical.cfm?RefId=-1&Ref=#URL.Ref#&TempRefCat=9&Head=1" addtoken="no">
		</cfif>
	<!--- "Delete" was pressed --->
	<cfelseif form.TheButton eq "Delete">
		<cftry>
			<cfstoredproc procedure="s_board_DeleteReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.RefId#>
			</cfstoredproc>
			<cflocation addtoken="no" url="#session.BackFromNewBibArticleOfJournal#">
			<cfcatch type = "database">
				<script language=javascript>
					<cfoutput>
						window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=5137','mywindow','width=400,height=150,scrollbars=yes')
					</cfoutput>
				</script>
			</cfcatch>
		</cftry>
	<!--- "Cancel" was pressed --->
	<cfelseif form.TheButton eq "Cancel">
		<cflocation addtoken="no" url="#session.BackFromNewBibArticleOfJournal#">
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.IsPreliminary" default="no">
<cfparam name="session.HiddenNoPreliminary" default="off">
<cfparam name="session.ArCitTitle" default="">
<cfparam name="session.ArTitle" default="">
<cfparam name="session.ArSeries" default="">
<cfparam name="session.ArAuthors" default="">
<cfparam name="session.ArNomAuthorAbbrev" default="">
<cfparam name="session.ArRefYear" default="">
<cfparam name="session.ArVolume" default="">
<cfparam name="session.ArPageString" default="">
<cfparam name="session.ArURL" default="">
<cfparam name="session.ArRefDepositedAt" default="">
<cfparam name="session.ArNotes" default="">
<cfparam name="session.ArIdInSource" default="">
<cfparam name="session.BackFromNewBibArticleOfJournal" default="">

<!--- Was this template called with get method? --->
<cfif (cgi.request_method is "get")>
	<!--- Set session variables --->
	<cfif (#URL.RefId# eq -1) and (session.CallingPage neq "AddOrEditPeriodical") and (session.CallingPage neq "NewAuthorTeam")>
		<cfset session.IsPreliminary = "no">
		<cfset session.HiddenNoPreliminary = "off">
		<cfset session.ArCitTitle = "">
		<cfset session.ArTitle = "">
		<cfset session.ArAuthors = "">
		<cfset session.ArNomAuthorAbbrev = "">
		<cfset session.ArRefYear = "">
		<cfset session.ArSeries = "">
		<cfset session.ArVolume = "">
		<cfset session.ArPageString = "">
		<cfset session.ArNotes = "">
		<cfset session.ArURL = "">
		<cfset session.ArRefDepositedAt = "">	
		<cfset session.ArIdInSource = "">
	<cfelseif (#URL.RefId# neq -1) and (session.CallingPage neq "AddOrEditPeriodical") and (session.CallingPage neq "NewAuthorTeam")>
		<cfif (OneReference.PreliminaryFlag eq 1)>
			<cfset session.IsPreliminary = "yes">
			<cfset session.HiddenNoPreliminary = "off">
		<cfelse>
			<cfset session.IsPreliminary = "no">
			<cfset session.HiddenNoPreliminary = "on">
		</cfif>
		<cfset session.ArCitTitle = OneReference.InRefFk>
		<cfset session.ArTitle = OneReference.Title>
		<cfset session.ArAuthors = OneReference.RefAuthorString>
		<cfset session.ArNomAuthorAbbrev = OneReference.NomAuthorTeamFk>
		<cfset session.ArRefYear = OneReference.RefYear>
		<cfset session.ArSeries = OneReference.Series>
		<cfset session.ArVolume = OneReference.Volume>
		<cfset session.ArPageString = OneReference.PageString>
		<cfset session.ArNotes = OneReference.Notes>
		<cfset session.ArURL = OneReference.URL>
		<cfset session.ArRefDepositedAt = OneReference.RefDepositedAt>	
		<cfset session.ArIdInSource = OneReference.IdInSource>	
	</cfif>
	<cfif session.CallingPage neq "AddOrEditBook" and session.CallingPage neq "AddOrEditPeriodical" and session.CallingPage neq "NewAuthorTeam">
		<cfset session.BackFromNewBibArticleOfJournal = cgi.http_referer>
	</cfif>
</cfif>
<cfif (session.CallingPage eq "AddOrEditDBOrInformal")>
	<cfset session.BackFromNewBibArticleOfJournal = session.BackFromNewDBOrInformal>
	<cfset session.ArNomAuthorAbbrev = "">
	<cfset session.ArCitTitle = "">
</cfif>

<!--- Database interface --->
<cfif (#session.ArCitTitle# eq "")>
	<cfstoredproc procedure="s_web_DiscoverRefCache" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=9>
		<cfprocresult name="BibValues">
	</cfstoredproc>
<cfelse>
	<cfif isnumeric(session.ArCitTitle)>
		<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.ArCitTitle#>
			<cfprocresult name="Bib">
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchRefCache" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.ArCitTitle#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=9>
			<cfprocresult name="Bib">
		</cfstoredproc>
	</cfif>
</cfif>
<!--- Retrieve information to populate menu for nomenclatural author team --->
<cfstoredproc procedure="s_web_DiscoverValues" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_varchar value="AuthorTeam">
	<cfprocparam type="in" cfsqltype=cf_sql_varchar value="AuthorTeamCache">
	<cfprocresult name=AuthorValues>
</cfstoredproc>
<cfif session.ArNomAuthorAbbrev neq "">
	<cfif isnumeric(session.ArNomAuthorAbbrev)>
		<cfstoredproc procedure="s_web_OneAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.ArNomAuthorAbbrev#>
			<cfprocresult name=AuthorTeam>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.ArNomAuthorAbbrev#>
			<cfprocresult name=AuthorTeam>
		</cfstoredproc>
	</cfif>
</cfif>

<!--- Create form --->
<table class="maintable">
	<!--- Define columns--->
	<colgroup>
		<col width=25%>
		<col width=75%>		
	</colgroup>

	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<td colspan="2"> 
			<h2>
				<cfif #url.RefId# eq -1>
					<b>Create new <i>article in periodical</i></b>
				<cfelse>
					<b>Edit article <cfoutput><i>#OneReference.RefCache#</i></cfoutput></b>
				</cfif>
			</h2>
		</td>
	</tr>
	<tr bgcolor ="#eeeeae">
		<td colspan="2">
			<font color="Black">Entries marked with</font> <font color="Red">*</font> are required; &nbsp;&nbsp;&nbsp;&nbsp;
			<font color="Black">One of the entry marked with</font> <font color="Red">**</font> is required
		</td>
	</tr>
	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<!--- RefAuthorString--->
		<tr bgcolor="#eeeeee">
			<td width><b>Full article authors <font color="Red">**</font></b></td>
			<td width>
				<input type="text" name="ArAuthors" size="70" value="<cfoutput>#session.ArAuthors#</cfoutput>">
			</td>
		</tr>
		<!--- NomAuthorTeam--->
		<tr bgcolor="#eeeeee">
			<td><b>Abbrev. authors <font color="Red">**</font></b></td>
			<td>
				<cfoutput>
				<select name="ArNomAuthorAbbrev" onChange="ChangeAuthorAction(#url.RefId#, #url.Ref#, #url.TempRefCat#)">
					<cfif session.ArNomAuthorAbbrev neq "">
						<cfif isnumeric(session.ArNomAuthorAbbrev)>
							<option value=#AuthorTeam.AuthorTeamId#>#AuthorTeam.AuthorTeamCache#
							<option value="">-------------------------- no selection ---------------------------
						<cfelse>
							<option value="#session.ArNomAuthorAbbrev#">------------------------ preselection: #session.ArNomAuthorAbbrev# -------------------------
							<option value="">-------------------------- no selection ---------------------------
							<cfloop query="AuthorTeam">
								<option value=#AuthorTeam.AuthorTeamId#>#AuthorTeam.AuthorTeamCache#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------------- no selection ---------------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
				</cfoutput>
			</td>
		</tr>

		<!--- New author team--->
		<tr bgcolor="#eeeeee">
			<td><a href="javascript: ButtonAction('NewAuthorTeam')" class="addlink">New author team</a></td>
			<td></td>
		</tr>
		<!---Article Title --->
		<tr bgcolor="#eeeeee">
			<td width=140><b>Full article title</b></td>
			<td width=460>
				<input type="text" name="ArTitle" size="100" value="<cfoutput>#session.ArTitle#</cfoutput>">
			</td>
		</tr>
		<!--- Year of publication --->
		<tr bgcolor="#eeeeee">
			<td width><b>Reference year</b></td>
			<td width>
				<input type="text" name="ArRefYear" size="20" value="<cfoutput>#session.ArRefYear#</cfoutput>">
			</td>
		</tr>
		<!--- Series --->
		<tr bgcolor="#eeeeee">
			<td width><b>Series(e.g. Flora of ...)</b></td>
			<td width>
				<input type="text" name="ArSeries" size="20" value="<cfoutput>#session.ArSeries#</cfoutput>">
			</td>
		</tr>
		<!--- Volume --->
		<tr bgcolor="#eeeeee">
			<td width><b>Volume</b></td>
			<td width>
				<input type="text" name="ArVolume" size="20" value="<cfoutput>#session.ArVolume#</cfoutput>">
			</td>
		</tr>
		<!--- PageString--->
		<tr bgcolor="#eeeeee">
			<td width><b>Page string</b></td>
			<td width>
				<input type="text" name="ArPageString" size="20" value="<cfoutput>#session.ArPageString#</cfoutput>">
			</td>
		</tr>
		<!--- URL--->
		<tr bgcolor="#eeeeee">
			<td width = 140><b>URL</b></td>
			<td width = 460>
				<input type="text" name="ArURL" size="70" value="<cfoutput>#session.ArURL#</cfoutput>">
			</td>
		</tr>
		<!--- Reference deposited at --->
		<tr bgcolor="#eeeeee">
			<td width><b>Reference deposited at </b></td>
			<td width>
				<input type="text" name="ArRefDepositedAt" size="70" value="<cfoutput>#session.ArRefDepositedAt#</cfoutput>">
			</td>
		</tr>	
		<!--- Select periodical title --->
		<tr bgcolor="#eeeeee">
			<td width=140><b>In:(Journal) <font color="Red">*</font></b></td>
			<td width = 460>
				<cfoutput>
					<select name="ArCitTitle" onChange="ChangeBiblioAction(#URL.RefId#, #URL.Ref#, #url.TempRefCat#)">
					<cfif session.ArCitTitle neq "">
						<cfif isnumeric(session.ArCitTitle)>
							<option value=#Bib.RefId#>#Bib.RefCache#
							<option value="">------------------------------------------ no selection ------------------------------------------
						<cfelse>
							<option value="#session.ArCitTitle#">------------------------------------------ preselection: #session.ArCitTitle# ------------------------------------------
							<option value="">------------------------------------------ no selection ------------------------------------------
							<cfloop query="Bib">
								<option value=#Bib.RefId#>#Bib.RefCache#
							</cfloop>
						</cfif>
					<cfelse>
						<option value="">------------------------------------------ no selection ------------------------------------------
						<cfloop query="BibValues">
							<option value=#BibValues.FirstTwo#>#BibValues.FirstTwo#&nbsp;...
						</cfloop>
					</cfif>
					</select>
				</cfoutput>
			</td>
		</tr>	
		<!--- New journal--->
		<tr bgcolor="#eeeeee">
			<td><a href="javascript: ButtonAction('NewPeriodical')" class="addlink">New journal</a></td>
			<td></td>
		</tr>
	
		<!--- Source number --->
		<tr bgcolor="#eeeeee">
			<td><b>Source number</b></td>
			<td>
				<input type="text" name="ArIdInSource" size="20" value="<cfoutput>#session.ArIdInSource#</cfoutput>">
			</td>
		</tr>
			
		<!--- Notes --->
		<tr bgcolor="#eeeeee">
			<td>
				<b>Reference notes</b>
			</td><td>	
				<textarea cols="50" rows="3" name="ArNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.ArNotes#</cfoutput></textarea>
			</td>
		</tr>
			
		<!--- Warning in case of reference having being protected (preliminary flag was set) --->
		<cfif session.IsPreliminary eq 'yes'>
			<tr bgcolor ="#eeeeee">
				<td colspan="2"> 
					<strong>Caution:</strong> This reference was originally protected by a preliminary flag. <br>
					If you want to <strong>substitute</strong> it with the atomised data check the box 
					<input type="checkbox" name="PreliminaryFlag" <cfif session.HiddenNoPreliminary eq 'on'> checked </cfif> onClick="SetHiddenNoPreliminary()">
					<input type="hidden" name="HiddenNoPreliminary" <cfif session.HiddenNoPreliminary eq 'on'> value="on" <cfelse> value = "off" </cfif>> 
					<br> (otherwise atomised data will only be added to the original reference) 
				</td>
			</tr>
		</cfif>

		<!--- Apply, Delete and Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="3">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<cfif #URL.RefId# neq -1 and session.CallingPage neq "AddOrEditBibPartOfTitle">
					<input type="button" name="Delete" value="Delete" onClick="ButtonAction('Delete')"> 					
				</cfif>
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">


