<!--- List of found names				--->
<!--- M. Geoffroy			    --->
<!--- Created: 6/2005				    --->


<!---
Lists names. 
--->
<cfinclude template="../../template_up.cfm">

  	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>
 
	
<!--- Create session variables if not already existing --->
<cfparam name="session.BackFromAddOrSelectName" default="">

<!--- Was this template called with get method? --->
<cfif (cgi.request_method is "get")>
	<cfset session.BackFromAddOrSelectName = "#application.EditorHome#Extensions/EditorialBoard/SearchName.cfm?Ref=#URL.Ref#">
</cfif>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- "Cancel" was pressed --->
	<cfif form.TheButton eq "Cancel">
		<cfset session.SearchString = "">
		<cflocation addtoken="no" url="#session.BackFromAddOrSelectName#">
	</cfif>
	<!--- NewAuthor was pressed --->
	<cfif form.TheButton eq "NewName">
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditName.cfm?Ref=#URL.Ref#&Name=-1&TempRank=60&Level=1" addtoken="no">
	</cfif>
</cfif>

<!--- Database interface --->
<cfset NewSearchString = #replace(#url.SearchString#, "*", "%", "all")#>
<cfstoredproc procedure="s_board_SearchName" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
	<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#url.PreFlag#>
	<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#url.TempRank#>
	<cfprocresult name=FoundNames>
</cfstoredproc>


<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<cfoutput>
			<td colspan=2><h2><b>Found names<b></h2></td>
		</cfoutput>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input Type="hidden" name="TheButton">

		<cfloop query="FoundNames">
			<tr bgcolor="#eeeeee">
				<cfoutput>
					<td width="560">#FoundNames.FullNameCache#</td>
					<td width="40"><i><b><a href="#application.EditorHome#Extensions/EditorialBoard/AddOrEditName.cfm?Name=#FoundNames.NameId#&TempRank=#FoundNames.RankFk#&Ref=#URL.Ref#&Level=1"><img src="#application.EditorHome#images/edit.gif" border="0" alt="Edit"></a></b></i></td>
				</cfoutput>
			</tr>
		</cfloop>

		<!--- Add new name --->
		<tr bgcolor="#eeeeee">
		  <td><a href="javascript: ButtonAction('NewName')" class="addlink">Create a new name</a></td>
				<td>&nbsp;</td>
		</tr>	
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="2">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">