<!--- Search for authors   --->
<!--- M. Geoffroy			    --->
<!--- Created: 6/2005			--->

<!---
Search for records in the author table. UThe "*" charcacter within
serach strings is replaced by "%" to be compliant with ANSI SQL. 
--->

<cfinclude template="../../template_up.cfm">
  	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>
  
<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<cfif isdefined("form.Abbrev")>
		<cfset session.Abbrev = form.Abbrev>
	</cfif>
	<cfif isdefined("form.FirstName")>
		<cfset session.FirstName = form.FirstName>
	</cfif>
	<cfif isdefined("form.LastName")>
		<cfset session.LastName = form.LastName>
	</cfif>
	
	<!--- New author team was pressed--->
	<cfif form.TheButton eq "FindAuthorTeam">
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/SearchAuthorTeam.cfm?Ref=#URL.Ref#" addtoken="no">
	<!--- Find button was pressed --->
	<cfelseif form.TheButton eq "Find">
	<!--- ... jump to the result template --->
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrSelectAuthor.cfm?Ref=#URL.Ref#&Abbrev=#session.Abbrev#&FirstName=#session.FirstName#&LastName=#session.LastName#" addtoken="no">
	<!--- New Author was pressed --->
	<cfelseif form.TheButton eq "NewAuthor">
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthor.cfm?Ref=#URL.Ref#&Author=-1" addtoken="no">
	<!--- "Cancel" was pressed --->
	<cfelseif form.TheButton eq "Cancel">
		<cflocation addtoken="no" url="#session.BackFromSearchAuthor#">
	</cfif>
</cfif>


<!--- Create session variables if not already existing --->
<cfparam name="session.Abbrev" default="">
<cfparam name="session.FirstName" default="">
<cfparam name="session.LastName" default="">
<cfparam name="session.BackFromSearchAuthor" default="">

<!--- Was this template called with get method? --->
<cfif (cgi.request_method is "get")>
	<cfset session.Abbrev = "">
	<cfset session.FirstName = "">
	<cfset session.LastName = "">
	<cfset session.BackFromSearchAuthor = "#application.EditorHome#Extensions/EditorialBoard/SearchAuthorTeam.cfm?Ref=#URL.Ref#">
</cfif>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<cfoutput>
			<td colspan=2><h2><b>Find or create an author<b></h2></td>
		</cfoutput>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input Type="hidden" name="TheButton">
		
		<!--- Form fields --->		
		<tr bgcolor="#eeeeee">
			<td width=160><b>Author's abbreviation</b><br>(e.g. *L.*)</td>
			<td width=440><input type="text" name="Abbrev" size="50"></td>
		</tr>
		<tr bgcolor="#eeeeee">
			<td width=160><b>Author's first name</b><br>(e.g. *arol*)</td>
			<td width=440><input type="text" name="FirstName" size="50"></td>
		</tr>
		<tr bgcolor="#eeeeee">
			<td width=160><b>Author's last name</b><br>(e.g. *Lin*)</td>
			<td width=440><input type="text" name="LastName" size="50"></td>
		</tr>

		<!--- Find or add new author team--->
		<tr bgcolor="#eeeeee">
			<td colspan=2><a href="javascript: ButtonAction('FindAuthorTeam')" class="addlink">Find or create an author team</a></td>
		</tr>	
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="2">
				<input type="button" name="Find" value="Find" onClick="ButtonAction('Find')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
				<input type="button" name="NewAuthor" value="New author" onClick="ButtonAction('NewAuthor')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">