<!--- Search for author teams   --->
<!--- M. Geoffroy			    --->
<!--- Created: 6/2005			--->

<!---
Search for records in the authorteam table. The "*" charcacter within
serach strings is replaced by "%" to be compliant with ANSI SQL. 
--->

<cfinclude template="../../template_up.cfm">
  	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>
  
<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<cfif isdefined("form.PreFlag")>
		<cfset session.PreFlag = form.PreFlag>
	</cfif>
	<cfif isdefined("form.SearchString")>
		<cfset session.SearchString = form.SearchString>
	</cfif>
	
	<!--- New author was pressed--->
	<cfif form.TheButton eq "FindAuthor">
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/SearchAuthor.cfm?Ref=#URL.Ref#" addtoken="no">
	<!--- Find button was pressed --->
	<cfelseif form.TheButton eq "Find">
	<!--- ... jump to the result template --->
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrSelectAuthorTeam.cfm?Ref=#URL.Ref#&SearchString=#session.SearchString#&PreFlag=#session.PreFlag#" addtoken="no">
	<!--- NewAuthorTeam was pressed --->
	<cfelseif form.TheButton eq "NewAuthorTeam">
		<cflocation url="#application.EditorHome#Extensions/EditorialBoard/AddOrEditAuthorTeam.cfm?Ref=#URL.Ref#&AuthorTeam=-1" addtoken="no">
	<!--- "Cancel" was pressed --->
	<cfelseif form.TheButton eq "Cancel">
		<cflocation addtoken="no" url="#session.BackFromSearchAuthorTeam#">
	</cfif>
</cfif>


<!--- Create session variables if not already existing --->
<cfparam name="session.SearchString" default="">
<cfparam name="session.PreFlag" default="">
<cfparam name="session.BackFromSearchAuthorTeam" default="">

<!--- Was this template called with get method? --->
<cfif (cgi.request_method is "get")>
	<cfset session.SearchString = "">
	<cfset session.PreFlag = "">
	<cfset session.BackFromSearchAuthorTeam = "#application.EditorHome#EditorialBoard.cfm?ref=#session.CurrentUser#">
</cfif>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeeae">
		<cfoutput>
			<td colspan=2><h2><b>Find or create an author team<b></h2></td>
		</cfoutput>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input Type="hidden" name="TheButton">
		
		<!--- Form field --->		
		<tr bgcolor="#eeeeee">
			<td width=160><b>Author team search</b><br>(e.g. *L.*)</td>
			<td width=440><input type="text" name="SearchString" size="50"></td>
		</tr>

		<!--- Select Preliminary Flag  --->
		<tr bgcolor="#eeeeee">
			<td width=160><b>Preliminary flag</b></td>
			<td width=440>
			<cfoutput>
				<select name="PreFlag">
					<option value="" <cfif session.PreFlag eq "">selected</cfif>>any
					<option value="1" <cfif session.PreFlag eq "1">selected</cfif>>on
					<option value="0" <cfif session.PreFlag eq "0">selected</cfif>>off
				</select>
			</cfoutput>
			</td>
		</tr>

		<!--- Find or add new author--->
		<tr bgcolor="#eeeeee">
			<td colspan=2><a href="javascript: ButtonAction('FindAuthor')" class="addlink">Find or create an author</a></td>
		</tr>	
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeeae">
			<td colspan="2">
				<input type="button" name="Find" value="Find" onClick="ButtonAction('Find')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
				<input type="button" name="NewAuthorTeam" value="New author team" onClick="ButtonAction('NewAuthorTeam')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../../template_down.cfm">